package com.gic.store.constant;

import java.util.HashSet;
import java.util.Set;

/**
 *
 * @ClassName: StoreESFieldsEnum
 * @Description:
 * @author zhiwj
 * @date 2020-09-09 16:04
 */
public enum StoreESFieldsEnum {
    /**
     * 门店ID
     */
    STOREID("storeId", "门店ID"),
    /**
     * 门店资料
     */
    STOREINFOID("storeInfoId", "门店资料"),
    /**
     * 门店名称
     */
    STORENAME("storeName", "门店名称"),
    /**
     * 门店代码
     */
    STORECODE("storeCode", "门店代码"),
    /**
     * 企业id
     */
    ENTERPRISEID("enterpriseId", "企业id"),
    /**
     * 门店域
     */
    REGIONID("regionId", "门店域"),
    /**
     * 门店域名称
     */
    REGIONNAME("regionName", "门店域名称"),
    /**
     * 门店分组
     */
    STOREGROUPID("storeGroupId", "门店分组"),
    /**
     * 门店分组
     */
    STOREGROUPIDLIST("storeGroupIdList", "门店分组"),
    /**
     * 门店分组名称
     */
    STOREGROUPNAME("storeGroupName", "门店分组名称"),
    /**
     * 省份
     */
    PROVINCEID("provinceId", "省份"),
    /**
     * 城市
     */
    CITYID("cityId", "城市"),
    /**
     * 地区
     */
    COUNTYID("countyId", "地区"),
    /**
     * 门店地区
     */
    PROVINCES("provinces", "门店地区"),
    /**
     * 店招品牌
     */
    STOREBRANDIDLIST("storeBrandIdList", "店招品牌"),
    /**
     * 店招品牌
     */
    STOREBRANDS("storeBrands", "店招品牌"),
    /**
     * 门店状态
     */
    STATUS("status", "门店状态"),
    /**
     * 资料完善状态
     */
    COMPLETESTATUS("completeStatus", "资料完善状态"),
    /**
     * 创建方式
     */
    CREATETYPE("createType", "创建方式"),
    /**
     * 门店类型
     */
    STORETYPE("storeType", "门店类型"),
    /**
     * 门店状态
     */
    REALSTATUS("realStatus", "门店状态"),
    /**
     * 门店地区
     */
    AREAIDS("areaIds", "门店地区"),
    /**
     * 文档id
     */
    ID("id", "文档id"),
    /**
     * 自定义字段
     */
    CUSTOM("custom", "自定义字段"),
    /**
     * 选项字段
     */
    SELECT("select", "选项字段"),
    /**
     * 门店标签
     */
    STORETAG("storeTag", "门店标签"),
    /**
     * 门店是否共享
     */
    OWNTYPE("ownType", "门店是否共享"),
    /**
     * 门店图片
     */
    PHOTOLIST("photoList", "门店图片"),
    /**
     * 门店营业时间
     */
    BUSSINESSTIME("businessTimeList", "门店营业时间"),
    /**
     * 门店详细地址
     */
    ADDRESS("address", "门店详细地址"),
    /**
     * 经纬度
     */
    LOCATION("location", "经纬度"),
    /**
     * 分数
     */
    SCORE("score", "分数"),
    /**
     * 评价分数
     */
    EVALUATECOUNT("evaluateCount", "评价分数"),
    /**
     * 联系电话
     */
    CONACTSPHONE("conactsPhone", "联系电话"),
    /**
     * 更新时间
     */
    UPDATETIME("updateTime", "更新时间"),
    /**
     * 自定义字段1
     */
    C1("c1", "自定义字段1"),
    /**
     * 自定义字段2
     */
    C2("c2", "自定义字段2"),
    /**
     * 自定义字段3
     */
    C3("c3", "自定义字段3"),
    /**
     * 自定义字段4
     */
    C4("c4", "自定义字段4"),
    /**
     * 自定义字段5
     */
    C5("c5", "自定义字段5"),
    /**
     * 自定义字段6
     */
    C6("c6", "自定义字段6"),
    /**
     * 自定义字段7
     */
    C7("c7", "自定义字段7"),
    /**
     * 自定义字段8
     */
    C8("c8", "自定义字段8"),
    /**
     * 自定义字段9
     */
    C9("c9", "自定义字段9"),
    /**
     * 自定义字段10
     */
    C10("c10", "自定义字段10"),
    FROM_ENTERPRISE_ID("fromEnterpriseId", "自有商户ID"),
    FROM_ENTERPRISE_NAME("fromEnterpriseName", "自有商户名称");

    private String field;
    private String desc;

    StoreESFieldsEnum(String field, String desc){
        this.field = field;
        this.desc = desc;
    }

    /**
     * 自定义字段的key
     * @return
     */
    public static Set<String> getStoreFieldKey() {
        Set<String> storeField = new HashSet<>();
        storeField.add(StoreESFieldsEnum.C1.getField());
        storeField.add(StoreESFieldsEnum.C2.getField());
        storeField.add(StoreESFieldsEnum.C3.getField());
        storeField.add(StoreESFieldsEnum.C4.getField());
        storeField.add(StoreESFieldsEnum.C5.getField());
        storeField.add(StoreESFieldsEnum.C6.getField());
        storeField.add(StoreESFieldsEnum.C7.getField());
        storeField.add(StoreESFieldsEnum.C8.getField());
        storeField.add(StoreESFieldsEnum.C9.getField());
        storeField.add(StoreESFieldsEnum.C10.getField());
        return storeField;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
