package com.gic.store.constant;

/**
  * @ClassName: StoreFieldDateEnum 
  * @Description:  自定义字段 日期类型下拉数据
  * @author guojuxing 
  * @date 2019/7/2 4:34 PM
  */
public enum StoreFieldDateEnum {
    /**
     * 年月日
     */
    YMD(1, "年月日", "yyyy-MM-dd"),
    /**
     * 年月
     */
    YM(2, "年月", "yyyy-MM"),
    /**
     * 月日
     */
    MD(3, "月日", "MM-dd"),
    /**
     * 年月日时分秒
     */
    YMDHMS(4, "年月日时分秒", "yyyy-MM-dd HH:mm:ss"),
    /**
     * 时分秒
     */
    Hms(5, "时分秒", "HH:mm:ss");

    private int code;
    private String message;
    private String format;

    private StoreFieldDateEnum(int code, String message, String format) {
        this.code = code;
        this.message = message;
        this.format = format;
    }

    public int getCode() {
        return code;
    }


    public String getMessage() {
        return message;
    }

    public String getFormat() {
        return format;
    }

    public static StoreFieldDateEnum getByCode(int code){
        for(StoreFieldDateEnum transactType : values()){
            if (transactType.getCode() == code) {
                return transactType;
            }
        }
        return null;
    }
}
