package com.gic.store.constant;

/**
 * @author guojx
 * @date 2019/7/1 9:20 AM
 */
public enum StoreFieldTextEnum {
    /**
     * 中文
     */
    CHINESE(1, "中文", ".*?[\\u4e00-\\u9fa5]+.*?"),
    /**
     * 数字
     */
    NUMBER(2, "数字", ".*?[0-9]+.*?"),
    /**
     * 字母
     */
    ABC(3, "字母", ".*?[A-Za-z]+.*?"),
    /**
     * 符号
     */
    MARK(4, "符号", ".*?[^0-9A-Za-z\\u4e00-\\u9fa5]+.*?");

    private int code;
    private String message;
    private String pattern;

    private StoreFieldTextEnum(int code, String message, String pattern) {
        this.code = code;
        this.message = message;
        this.pattern = pattern;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getPattern() {
        return pattern;
    }

    public void setPattern(String pattern) {
        this.pattern = pattern;
    }
}
