package com.gic.store.constant;

/**
  * @ClassName: StoreFieldTypeEnum 
  * @Description:    自定义字段类型
  * @author guojuxing 
  * @date 2019/6/28 11:10 AM
  */
public enum  StoreFieldTypeEnum {
    /**
     * 文本
     */
    TEXT(1, "文本"),
    /**
     * 单选
     */
    RADIO(2, "单选"),
    /**
     * 多选
     */
    CHECK(3, "多选"),
    /**
     * 实数
     */
    REAL_NUMBER(4, "实数"),
    /**
     * 时间
     */
    DATE(5, "时间");

    private int code;
    private String message;

    private StoreFieldTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static StoreFieldTypeEnum getByCode(int code){
        for(StoreFieldTypeEnum transactType : values()){
            if (transactType.getCode() == code) {
                return transactType;
            }
        }
        return null;
    }

    public static String getNameByCode(int code) {
        for(StoreFieldTypeEnum transactType : values()){
            if (transactType.getCode() == code) {
                return transactType.getMessage();
            }
        }
        return "未知";
    }
}
