package com.gic.store.constant;

/**
  * @ClassName: StoreGroupErrorEnum 
  * @Description:    门店分组异常定义
  * @author guojuxing 
  * @date 2019/6/26 1:46 PM
  */
public enum StoreGroupErrorEnum {
    /**
     * 门店分组服务异常
     */
    ERROR("9999", "门店分组服务异常"),
    /**
     * 该分组下存在门店
     */
    DELETE_ERROR("1000", "该分组下存在门店，不能删除"),
    /**
     * 分组层级参数数据错误
     */
    GROUP_LEVEL_ERROR("2000", "分组层级参数数据错误"),
    /**
     * 所有门店已存在
     */
    ALL_STORE_GROUP_ERROR("3000", "所有门店已存在"),
    /**
     * 父级ID参数错误
     */
    PARENT_STORE_GROUP_PARAM_ERROR("4000", "父级ID参数错误"),
    /**
     * 门店分组主键错误
     */
    STORE_GROUP_NOT_EXIST("6000", "门店分组主键错误，数据未查到"),
    /**
     * 默认分组
     */
    EDIT_DEFAULT_STORE_GROUP_ERROR("5000", "默认分组：未分组门店，不可编辑"),
    /**
     * 排序错误
     */
    SORT_ERROR("7000", "排序错误！"),
    /**
     * 参数错误
     */
    PARAM_ERROR("8000", "参数错误");

    private String code;
    private String message;

    private StoreGroupErrorEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
