package com.gic.store.constant;
/**
 * 授权者、被授权
 * @ClassName: StoreOwnTypeEnum 
 * @Description:    
 * @author guojuxing   
 * @date 2019/9/23 9:39 AM  
 */
public enum StoreOwnTypeEnum {
    /**
     * owner
     */
    OWNER(0, "owner"),
    /**
     * other
     */
    OTHER(1, "other");

    private int code;
    private String message;

    private StoreOwnTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    /**
     * 是否是正确的code，即在枚举值内
     * @Title: isRightCode 
     * @Description:
      * @author guojuxing
     * @param code 
     * @return  boolean 
      */
    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (StoreOwnTypeEnum ownTypeEnum : values()) {
            if (code.intValue() == ownTypeEnum.getCode()) {
                return true;
            }
        }
        return false;
    }
    

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
