package com.gic.store.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/27 16:10
 */
public class ClerkSearchDTO implements Serializable {
    private static final long serialVersionUID = 7888454039825986790L;
    private String search;
    private Integer storeGroupId;
    private String searchJson;
    private Integer enterpriseId;
    private String storeIds;
    private String storeInfoIds;
    private Integer currentPage=1;
    private Integer pageSize=20;
    private Integer clerkType;
    private String storeSearch;

    /**
     * 门店选择器ID
     */
    private Long storeResource;


    /**
     * 如果勾选了导购，导购ID，英文逗号隔开，用getClerkIdList方法 导出使用
     */
    private String clerkIds;

    /**
     * 为了不与storeInfoIds错乱使用，单独使用一个 导出使用
     */
    private String storeInfoIdPram;

    private String fileName;
    private Integer excelExtension;
    private List<String> fieldCodeList;
    private Integer dataType;
    private Integer status;
    private Integer searchType = 1;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getSearchJson() {
        return searchJson;
    }

    public void setSearchJson(String searchJson) {
        this.searchJson = searchJson;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public String getStoreIds() {
        return storeIds;
    }

    public void setStoreIds(String storeIds) {
        this.storeIds = storeIds;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public List<String> getFieldCodeList() {
        return fieldCodeList;
    }

    public void setFieldCodeList(List<String> fieldCodeList) {
        this.fieldCodeList = fieldCodeList;
    }

    public Integer getExcelExtension() {
        return excelExtension;
    }

    public void setExcelExtension(Integer excelExtension) {
        this.excelExtension = excelExtension;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }

    public String getStoreInfoIds() {
        return storeInfoIds;
    }

    public void setStoreInfoIds(String storeInfoIds) {
        this.storeInfoIds = storeInfoIds;
    }

    public String getStoreSearch() {
        return storeSearch;
    }

    public void setStoreSearch(String storeSearch) {
        this.storeSearch = storeSearch;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public Integer getSearchType() {
        return searchType;
    }

    public void setSearchType(Integer searchType) {
        this.searchType = searchType;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public ClerkSearchDTO setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
        return this;
    }

    public String getClerkIds() {
        return clerkIds;
    }

    public ClerkSearchDTO setClerkIds(String clerkIds) {
        this.clerkIds = clerkIds;
        return this;
    }

    public List<Integer> getClerkIdList(String suffix) {
        if (clerkIds != null && clerkIds != "") {
            if (suffix == null || suffix == "") {
                //默认空格
                suffix = ",";
            }
            return Arrays.stream(clerkIds.split(suffix))
                    .filter(e -> e != null && e != "")
                    .mapToInt(e -> Integer.valueOf(e))
                    .boxed()
                    .collect(Collectors.toList());
        }
        return new ArrayList<>();
    }

    public List<Integer> getStoreInfoIdParamList(String suffix) {
        if (storeInfoIdPram != null && storeInfoIdPram != "") {
            if (suffix == null || suffix == "") {
                //默认空格
                suffix = ",";
            }
            return Arrays.stream(storeInfoIdPram.split(suffix))
                    .filter(e -> e != null && e != "")
                    .mapToInt(e -> Integer.valueOf(e))
                    .boxed()
                    .collect(Collectors.toList());
        }
        return new ArrayList<>();
    }

    public String getStoreInfoIdPram() {
        return storeInfoIdPram;
    }

    public ClerkSearchDTO setStoreInfoIdPram(String storeInfoIdPram) {
        this.storeInfoIdPram = storeInfoIdPram;
        return this;
    }

    @Override
    public String toString() {
        return "ClerkSearchDTO{" +
                "search='" + search + '\'' +
                ", storeGroupId=" + storeGroupId +
                ", searchJson='" + searchJson + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", storeIds='" + storeIds + '\'' +
                ", storeInfoIds='" + storeInfoIds + '\'' +
                ", currentPage=" + currentPage +
                ", pageSize=" + pageSize +
                ", clerkType=" + clerkType +
                ", storeSearch='" + storeSearch + '\'' +
                ", fileName='" + fileName + '\'' +
                ", excelExtension=" + excelExtension +
                ", fieldCodeList=" + fieldCodeList +
                ", dataType=" + dataType +
                ", status=" + status +
                ", storeResource=" + storeResource +
                ", clerkIds=" + clerkIds +
                ", storeInfoIdPram=" + storeInfoIdPram +
                '}';
    }
}
