package com.gic.store.dto;

import org.hibernate.validator.constraints.Length;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public class StoreInfoDTO implements Serializable {
    private static final long serialVersionUID = -6360038263126373120L;
    /**
     *
     */
    private Integer storeInfoId;

    /**
     * 门店名称
     */
    @Length(max = 40, message = "门店名称最大长度为40位")
    private String storeName;

    /**
     * 门店code
     */
    @Length(max = 40, message = "门店code最大长度为40位")
    private String storeCode;

    /**
     * 域id
     */
    private Integer regionId;

    private String regionName;

    /**
     * 门店电话
     */
    private String conactsPhone;

    /**
     * 门店详细地址
     */
    @Length(max = 200, message = "门店地址最大长度为200位")
    private String address;

    /**
     * 关联门店品牌iid，多个用逗号分隔
     */
    private String brandIds;

    private List<Integer> storeBrandIdList;

    private String storeBrandNames;

    private String storeBrands;

    /**
     * 地区id
     */
    private String areaId;

    /**
     * 经度
     */
    @Length(max = 50, message = "门店经度最大长度为50位")
    private String longitude;

    /**
     * 纬度
     */
    @Length(max = 50, message = "门店纬度最大长度为50位")
    private String latitude;

    private  List<Double> location;

    /**
     * 距离
     */
    private Double distance;

    /**
     * 溢出状态；默认为0，1标识溢出
     */
    private Integer overflowStatus;

    /**
     * 门店状态；
     */
    private Integer status;

    private Integer completeStatus;

    /**
     * 门店状态,业务使用
     */
    private Integer realStatus;

    /**
     * 门店类型
     */
    private Integer storeType;
    private Date createTime;
    private Date updateTime;
    private List<StoreBrandDTO> brandList;
    private List<StorePhotoDTO> photoList;
    private String delPhotos;
    private String delBusinessTimes;
    private List<StoreBusinessTimeDTO> businessTimeList;
    private String provinceId;
    private String cityId;
    private String provinces;
    private Integer createType;
    private List<StoreExtendDTO> storeExtendList;
    private Long indexId;
    private String c1;
    private String c2;
    private String c3;
    private String c4;
    private String c5;
    private String c6;
    private String c7;
    private String c8;
    private String c9;
    private String c10;

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName == null ? null : storeName.trim();
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode == null ? null : storeCode.trim();
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getConactsPhone() {
        return conactsPhone;
    }

    public void setConactsPhone(String conactsPhone) {
        this.conactsPhone = conactsPhone == null ? null : conactsPhone.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getBrandIds() {
        return brandIds;
    }

    public void setBrandIds(String brandIds) {
        this.brandIds = brandIds == null ? null : brandIds.trim();
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId == null ? null : areaId.trim();
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude == null ? null : longitude.trim();
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude == null ? null : latitude.trim();
    }

    public Integer getOverflowStatus() {
        return overflowStatus;
    }

    public void setOverflowStatus(Integer overflowStatus) {
        this.overflowStatus = overflowStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getRealStatus() {
        return realStatus;
    }

    public void setRealStatus(Integer realStatus) {
        this.realStatus = realStatus;
    }

    public Integer getStoreType() {
        return storeType;
    }

    public void setStoreType(Integer storeType) {
        this.storeType = storeType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<StoreBrandDTO> getBrandList() {
        return brandList;
    }

    public void setBrandList(List<StoreBrandDTO> brandList) {
        this.brandList = brandList;
    }

    public List<StorePhotoDTO> getPhotoList() {
        return photoList;
    }

    public void setPhotoList(List<StorePhotoDTO> photoList) {
        this.photoList = photoList;
    }

    public String getDelPhotos() {
        return delPhotos;
    }

    public void setDelPhotos(String delPhotos) {
        this.delPhotos = delPhotos;
    }

    public String getDelBusinessTimes() {
        return delBusinessTimes;
    }

    public void setDelBusinessTimes(String delBusinessTimes) {
        this.delBusinessTimes = delBusinessTimes;
    }

    public List<StoreBusinessTimeDTO> getBusinessTimeList() {
        return businessTimeList;
    }

    public void setBusinessTimeList(List<StoreBusinessTimeDTO> businessTimeList) {
        this.businessTimeList = businessTimeList;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId == null ? null : provinceId.trim();
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    public String getProvinces() {
        return provinces;
    }

    public void setProvinces(String provinces) {
        this.provinces = provinces == null ? null : provinces.trim();
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Integer getCompleteStatus() {
        return completeStatus;
    }

    public void setCompleteStatus(Integer completeStatus) {
        this.completeStatus = completeStatus;
    }

    public void setStoreExtendList(List<StoreExtendDTO> storeExtendList) {
        this.storeExtendList = storeExtendList;
    }

    public List<StoreExtendDTO> getStoreExtendList() {
        return storeExtendList;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName == null ? null : regionName.trim();
    }

    public List<Integer> getStoreBrandIdList() {
        return storeBrandIdList;
    }

    public void setStoreBrandIdList(List<Integer> storeBrandIdList) {
        this.storeBrandIdList = storeBrandIdList;
    }

    public String getStoreBrandNames() {
        return storeBrandNames;
    }

    public void setStoreBrandNames(String storeBrandNames) {
        this.storeBrandNames = storeBrandNames;
    }

    public Long getIndexId() {
        return indexId;
    }

    public void setIndexId(Long indexId) {
        this.indexId = indexId;
    }

    public Double getDistance() {
        return distance;
    }

    public void setDistance(Double distance) {
        this.distance = distance;
    }

    public String getStoreBrands() {
        return storeBrands;
    }

    public void setStoreBrands(String storeBrands) {
        this.storeBrands = storeBrands;
        this.storeBrandNames = storeBrands;
    }

    public String getC1() {
        return c1;
    }

    public void setC1(String c1) {
        this.c1 = c1;
    }

    public String getC2() {
        return c2;
    }

    public void setC2(String c2) {
        this.c2 = c2;
    }

    public String getC3() {
        return c3;
    }

    public void setC3(String c3) {
        this.c3 = c3;
    }

    public String getC4() {
        return c4;
    }

    public void setC4(String c4) {
        this.c4 = c4;
    }

    public String getC5() {
        return c5;
    }

    public void setC5(String c5) {
        this.c5 = c5;
    }

    public String getC6() {
        return c6;
    }

    public void setC6(String c6) {
        this.c6 = c6;
    }

    public String getC7() {
        return c7;
    }

    public void setC7(String c7) {
        this.c7 = c7;
    }

    public String getC8() {
        return c8;
    }

    public void setC8(String c8) {
        this.c8 = c8;
    }

    public String getC9() {
        return c9;
    }

    public void setC9(String c9) {
        this.c9 = c9;
    }

    public String getC10() {
        return c10;
    }

    public void setC10(String c10) {
        this.c10 = c10;
    }

    public List<Double> getLocation() {
        return location;
    }

    public void setLocation(List<Double> location) {
        this.location = location;
    }

    public String getCountyId() {
        return areaId;
    }

    public void setCountyId(String countyId) {
        this.areaId = countyId == null ? null : areaId;
    }

    public StoreInfoDTO() {
        super();
    }

    @Override
    public String toString() {
        return "StoreInfoDTO{" +
                "storeInfoId=" + storeInfoId +
                ", storeName='" + storeName + '\'' +
                ", storeCode='" + storeCode + '\'' +
                ", regionId=" + regionId +
                ", regionName='" + regionName + '\'' +
                ", conactsPhone='" + conactsPhone + '\'' +
                ", address='" + address + '\'' +
                ", brandIds='" + brandIds + '\'' +
                ", storeBrandIdList=" + storeBrandIdList +
                ", storeBrandNames='" + storeBrandNames + '\'' +
                ", storeBrands='" + storeBrands + '\'' +
                ", areaId='" + areaId + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                ", location=" + location +
                ", distance=" + distance +
                ", overflowStatus=" + overflowStatus +
                ", status=" + status +
                ", completeStatus=" + completeStatus +
                ", realStatus=" + realStatus +
                ", storeType=" + storeType +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", brandList=" + brandList +
                ", photoList=" + photoList +
                ", delPhotos='" + delPhotos + '\'' +
                ", delBusinessTimes='" + delBusinessTimes + '\'' +
                ", businessTimeList=" + businessTimeList +
                ", provinceId='" + provinceId + '\'' +
                ", cityId='" + cityId + '\'' +
                ", provinces='" + provinces + '\'' +
                ", createType=" + createType +
                ", storeExtendList=" + storeExtendList +
                ", indexId=" + indexId +
                ", c1='" + c1 + '\'' +
                ", c2='" + c2 + '\'' +
                ", c3='" + c3 + '\'' +
                ", c4='" + c4 + '\'' +
                ", c5='" + c5 + '\'' +
                ", c6='" + c6 + '\'' +
                ", c7='" + c7 + '\'' +
                ", c8='" + c8 + '\'' +
                ", c9='" + c9 + '\'' +
                ", c10='" + c10 + '\'' +
                '}';
    }
}
