package com.gic.store.dto;

import java.io.Serializable;

/**
 * tab_store_widget
 */
/**
 * 
 * @ClassName: StoreWidgetDTO
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 16:10
 */
public class StoreWidgetDTO implements Serializable {
    /**
     * 
     */
    private Integer storeWidgetId;

    /**
     * 后端需要的条件筛选数据
     */
    private String searchParam;

    /**
     * 现在弃用
     */
    private String writeBackParam;

    /**
     * 后端需要的权限筛选数据
     */
    private String authSearchParam;

    private Integer authMode = 1;

    /**
     * 前端需要字段（条件筛选）
     */
    private String screenDetailData;

    /**
     * 前端需要字段（条件筛选）
     */
    private String screenSimpleData;

    /**
     * 前端需要字段（权限筛选）
     */
    private String authScreenDetailData;

    /**
     * 前端需要字段（权限筛选）
     */
    private String authScreenSimpleData;

    /**
     * 新增选择器的场景，默认场景是1，表示storeWidgetId传过来，也是新增操作。
     */
    private Integer saveScreen = 1;

    /**
     * 操作人ID
     */
    private Integer userId;

    /**
     * 操作类型：权限范围变更/条件筛选（走不同的接口）
     */
    private boolean isAuthChangeType;

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public void setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
    }

    public String getSearchParam() {
        return searchParam;
    }

    public void setSearchParam(String searchParam) {
        this.searchParam = searchParam;
    }

    public String getWriteBackParam() {
        return writeBackParam;
    }

    public void setWriteBackParam(String writeBackParam) {
        this.writeBackParam = writeBackParam;
    }

    public String getAuthSearchParam() {
        return authSearchParam;
    }

    public void setAuthSearchParam(String authSearchParam) {
        this.authSearchParam = authSearchParam;
    }

    public Integer getAuthMode() {
        return authMode;
    }

    public void setAuthMode(Integer authMode) {
        this.authMode = authMode;
    }

    public String getScreenDetailData() {
        return screenDetailData;
    }

    public StoreWidgetDTO setScreenDetailData(String screenDetailData) {
        this.screenDetailData = screenDetailData;
        return this;
    }

    public String getScreenSimpleData() {
        return screenSimpleData;
    }

    public StoreWidgetDTO setScreenSimpleData(String screenSimpleData) {
        this.screenSimpleData = screenSimpleData;
        return this;
    }

    public String getAuthScreenDetailData() {
        return authScreenDetailData;
    }

    public StoreWidgetDTO setAuthScreenDetailData(String authScreenDetailData) {
        this.authScreenDetailData = authScreenDetailData;
        return this;
    }

    public String getAuthScreenSimpleData() {
        return authScreenSimpleData;
    }

    public StoreWidgetDTO setAuthScreenSimpleData(String authScreenSimpleData) {
        this.authScreenSimpleData = authScreenSimpleData;
        return this;
    }

    public Integer getSaveScreen() {
        return saveScreen;
    }

    public StoreWidgetDTO setSaveScreen(Integer saveScreen) {
        this.saveScreen = saveScreen;
        return this;
    }

    /**
     * 总是新增操作场景
     * @return
     */
    public boolean isNewOperation() {
        if (saveScreen != null && saveScreen == 1) {
            return true;
        }
        return false;
    }

    public Integer getUserId() {
        return userId;
    }

    public StoreWidgetDTO setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public boolean isAuthChangeType() {
        return isAuthChangeType;
    }

    public StoreWidgetDTO setAuthChangeType(boolean authChangeType) {
        isAuthChangeType = authChangeType;
        return this;
    }

    @Override
    public String toString() {
        return "StoreWidgetDTO{" +
                "storeWidgetId=" + storeWidgetId +
                ", searchParam='" + searchParam + '\'' +
                ", writeBackParam='" + writeBackParam + '\'' +
                ", authSearchParam='" + authSearchParam + '\'' +
                ", authMode=" + authMode +
                ", screenDetailData='" + screenDetailData + '\'' +
                ", screenSimpleData='" + screenSimpleData + '\'' +
                ", authScreenDetailData='" + authScreenDetailData + '\'' +
                ", authScreenSimpleData='" + authScreenSimpleData + '\'' +
                ", saveScreen=" + saveScreen +
                ", userId=" + userId +
                '}';
    }
}