package com.gic.store.dto;

import java.io.Serializable;
/**
 * 门店选择器日志新增参数
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/13 2:59 PM 
 */
public class StoreWidgetLogSaveDTO implements Serializable{
    private static final long serialVersionUID = 8936879207952326564L;

    /**
     * 门店选择器ID，关联字段
     */
    private Integer storeWidgetId;

    /**
     * 商户ID
     */
    private Integer enterpriseId;

    /**
     * 更新前的筛选条件/权限范围
     */
    private String searchParamBefore;

    /**
     * 更新后的筛选条件/权限范围
     */
    private String searchParamAfter;

    /**
     * 更新前的筛选条件/权限范围 解析内容冗余。前端需要
     */
    private String searchParamTextBefore;

    /**
     * 更新后的筛选条件/权限范围 解析内容冗余。前端需要
     */
    private String searchParamTextAfter;

    /**
     * 新前的筛选范围/权限范围。前端需要
     */
    private String searchParamSimpleBefore;

    /**
     * 更新后的筛选范围/权限范围。前端需要
     */
    private String searchParamSimpleAfter;

    /**
     * 1:变更权限范围 2:编辑筛选条件
     */
    private Integer logType;

    /**
     * 操作人ID user_id
     */
    private Integer operationId;

    /**
     * 1:创建 2:操作
     */
    private Integer operationType;

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public StoreWidgetLogSaveDTO setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public StoreWidgetLogSaveDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getSearchParamBefore() {
        return searchParamBefore;
    }

    public StoreWidgetLogSaveDTO setSearchParamBefore(String searchParamBefore) {
        this.searchParamBefore = searchParamBefore;
        return this;
    }

    public String getSearchParamAfter() {
        return searchParamAfter;
    }

    public StoreWidgetLogSaveDTO setSearchParamAfter(String searchParamAfter) {
        this.searchParamAfter = searchParamAfter;
        return this;
    }

    public String getSearchParamTextBefore() {
        return searchParamTextBefore;
    }

    public StoreWidgetLogSaveDTO setSearchParamTextBefore(String searchParamTextBefore) {
        this.searchParamTextBefore = searchParamTextBefore;
        return this;
    }

    public String getSearchParamTextAfter() {
        return searchParamTextAfter;
    }

    public StoreWidgetLogSaveDTO setSearchParamTextAfter(String searchParamTextAfter) {
        this.searchParamTextAfter = searchParamTextAfter;
        return this;
    }

    public Integer getOperationId() {
        return operationId;
    }

    public StoreWidgetLogSaveDTO setOperationId(Integer operationId) {
        this.operationId = operationId;
        return this;
    }

    public Integer getLogType() {
        return logType;
    }

    public StoreWidgetLogSaveDTO setLogType(Integer logType) {
        this.logType = logType;
        return this;
    }

    public Integer getOperationType() {
        return operationType;
    }

    public StoreWidgetLogSaveDTO setOperationType(Integer operationType) {
        this.operationType = operationType;
        return this;
    }

    public String getSearchParamSimpleBefore() {
        return searchParamSimpleBefore;
    }

    public StoreWidgetLogSaveDTO setSearchParamSimpleBefore(String searchParamSimpleBefore) {
        this.searchParamSimpleBefore = searchParamSimpleBefore;
        return this;
    }

    public String getSearchParamSimpleAfter() {
        return searchParamSimpleAfter;
    }

    public StoreWidgetLogSaveDTO setSearchParamSimpleAfter(String searchParamSimpleAfter) {
        this.searchParamSimpleAfter = searchParamSimpleAfter;
        return this;
    }

    @Override
    public String toString() {
        return "StoreWidgetLogSaveDTO{" +
                "storeWidgetId=" + storeWidgetId +
                ", enterpriseId=" + enterpriseId +
                ", searchParamBefore='" + searchParamBefore + '\'' +
                ", searchParamAfter='" + searchParamAfter + '\'' +
                ", searchParamTextBefore='" + searchParamTextBefore + '\'' +
                ", searchParamTextAfter='" + searchParamTextAfter + '\'' +
                ", searchParamSimpleBefore='" + searchParamSimpleBefore + '\'' +
                ", searchParamSimpleAfter='" + searchParamSimpleAfter + '\'' +
                ", logType=" + logType +
                ", operationId=" + operationId +
                ", operationType=" + operationType +
                '}';
    }
}
