package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreDTO;

/**
 *
 * @ClassName: StoreAuthorizationApiService
 * @Description:
 * @author zhiwj
 * @date 2020-09-09 16:04
 */
public interface StoreAuthorizationApiService {
    
    /**
     * authStore 联合商户门店授权接口
     * @Title: authStore
     * @Description: 联合商户门店授权接口
     * @author zhiwj
     * @param storeResourceId
     * @param unionEnterpriseId
     * @param ownEnterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> authStore(Integer storeResourceId, Integer unionEnterpriseId, Integer ownEnterpriseId);

    /**
     * reAuthStore
     * @Title: reAuthStore
     * @Description:  重新授权接口
     * @author zhiwj
     * @param key
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> reAuthStore(String key);

    /**
     * authorizationSingleStore
     * @Title: authorizationSingleStore
     * @Description:
     * @author zhiwj
     * @param params
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> authorizationSingleStore(String params);

    /**
     * saveStore
     * @Title: saveStore
     * @Description:
     * @author zhiwj
     * @param storeDTO
     * @param logId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveStore(StoreDTO storeDTO, Integer logId);

    /**
     * saveStore
     * @Title: saveStore
     * @Description:
     * @author zhiwj
     * @param storeDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveStore(StoreDTO storeDTO);

    /**
     * cancelStore
     * @Title: cancelStore
     * @Description:
     * @author zhiwj
     * @param storeInfoId
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> cancelStore(Integer storeInfoId, Integer enterpriseId);

    /**
     * cancelStoreAll
     * @Title: cancelStoreAll
     * @Description:  取消授权接口
     * @author zhiwj
     * @param unionEnterpriseId
     * @param ownEnterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> cancelStoreAll(Integer unionEnterpriseId, Integer ownEnterpriseId);
}
