package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreDictDTO;

import java.util.List;

/**
 *
 * @ClassName: StoreDictApiService
 * @Description:
 * @author zhiwj
 * @date 2020-09-09 16:04
 */
public interface StoreDictApiService {

    /**
     * 查询运维后台所有经营类目
     * @Title: listAllBusinessCategory
     * @Description:
     * @author zhiwj
     *  @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreDictDTO>>
     * @throws 
     */
    ServiceResponse<List<StoreDictDTO>> listAllBusinessCategory(Integer enterpriseId);

    /**
     *getStoreDict
     * @Title: getStoreDict
     * @Description:
     * @author zhiwj
     * @param categoryCode
     * @param code
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.store.dto.StoreDictDTO>
     * @throws
     */
    ServiceResponse<StoreDictDTO> getStoreDict(String categoryCode, String code);

    /**
     * listAllStoreType
     * @Title: listAllStoreType
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreDictDTO>>
     * @throws
     */
    ServiceResponse<List<StoreDictDTO>> listAllStoreType(Integer enterpriseId);

    /**
     * listAllStoreStatus
     * @Title: listAllStoreStatus
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreDictDTO>>
     * @throws
     */
    ServiceResponse<List<StoreDictDTO>> listAllStoreStatus(Integer enterpriseId);

    /**
     * listStoreType
     * @Title: listStoreType
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreDictDTO>>
     * @throws
     */
    ServiceResponse<List<StoreDictDTO>> listStoreType(Integer enterpriseId);

    /**
     * listStoreStatus
     * @Title: listStoreStatus
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreDictDTO>>
     * @throws
     */
    ServiceResponse<List<StoreDictDTO>> listStoreStatus(Integer enterpriseId);

    /**
     * saveStoreType
     * @Title: saveStoreType
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeTypeArr
     * @return com.gic.api.base.commons.ServiceResponse
     * @throws
     */
    ServiceResponse saveStoreType(Integer enterpriseId, String[] storeTypeArr);

    /**
     * saveStoreStatus
     * @Title: saveStoreStatus
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeStatusArr
     * @return com.gic.api.base.commons.ServiceResponse
     * @throws
     */
    ServiceResponse saveStoreStatus(Integer enterpriseId, String[] storeStatusArr);

    /**
     * saveStoreStatusAndStoreType
     * @Title: saveStoreStatusAndStoreType
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeStatusArr
     * @param storeTypeArr
     * @return com.gic.api.base.commons.ServiceResponse
     * @throws
     */
    ServiceResponse saveStoreStatusAndStoreType(Integer enterpriseId, String[] storeStatusArr, String[] storeTypeArr);

    /**
     * 审批回调
     * @Title: saveStoreStatusAndStoreTypeCallback
     * @Description: 审批回调
     * @author zhiwj
     * @param json
     * @return com.gic.api.base.commons.ServiceResponse
     * @throws
     */
    ServiceResponse saveStoreStatusAndStoreTypeCallback(String json);

    /**
     * 查询支持列表查询的自定义字段
     * @Title: 查询支持列表查询的自定义字段
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreDictDTO>>
     * @throws
     */
    ServiceResponse<List<StoreDictDTO>> listStoreField(Integer enterpriseId);

    /**
     * 查询支持列表查询的自定义字段：过滤文本类型自定义字段
     * @Title: listStoreFieldOfFilterText 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreDictDTO>> 
     */
    ServiceResponse<List<StoreDictDTO>> listStoreFieldOfFilterText(Integer enterpriseId);

    /**
     * 保存自定义字段关联查询
     * @Title: 保存自定义字段关联查询
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param value
     * @param type
     * @param userId
     * @return com.gic.api.base.commons.ServiceResponse
     * @throws
     */
    ServiceResponse saveStoreField(Integer enterpriseId, String value, int type, Integer userId);


    /**
     * saveStoreField
     * @Title: saveStoreField
     * @Description: 
     * @author zhiwj 
     * @param enterpriseId
     * @param values
     * @param userId
     * @return com.gic.api.base.commons.ServiceResponse
     * @throws 
     */
    ServiceResponse saveStoreField(Integer enterpriseId, String values, Integer userId);
    
    /**
     * listStoreFieldDictValue
     * @Title: listStoreFieldDictValue
     * @Description: 
     * @author zhiwj 
 * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<java.lang.String>>
     * @throws 
     */
    ServiceResponse<List<String>> listStoreFieldDictValue(Integer enterpriseId);
}