package com.gic.store.service;

import java.util.List;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreFieldSelectDTO;

/**
 * 自定义属性值
 * @ClassName: StoreFieldSelectApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/7/31 11:13 AM 
 */
public interface StoreFieldSelectApiService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     * 返回主键ID
      */
    ServiceResponse<Integer> save(StoreFieldSelectDTO storeFieldSelectDTO);

    /**
     * 上下移动
     * @Title: upOrDown 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectId
     * @param isUp  是否向上移动
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> upOrDown(int storeFieldSelectId, boolean isUp);

    /**
     * 自定义序号排序
     * @Title: setStoreFieldSelectSort 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectId
     * @param setValue 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String>  返回日志操作对象
      */
    ServiceResponse<String> setStoreFieldSelectSort(int storeFieldSelectId, int setValue);

    /**
     * 支持批量删除，英文逗号隔开
     * @Title: delete 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectIds  主键ID，英文逗号隔开
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String>  返回日志操作对象
      */
    ServiceResponse<String> delete(String storeFieldSelectIds);

    /**
     * 编辑保存
     * @Title: edit 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> edit(StoreFieldSelectDTO storeFieldSelectDTO);

    /**
     * 分页查询列表数据
     * @Title: listStoreFieldSelect 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param search code或者名称
     * @param pageNum 第几页
     * @param pageSize  每页大小
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.store.dto.StoreFieldSelectDTO>> 
      */
    ServiceResponse<Page<StoreFieldSelectDTO>> listStoreFieldSelect(int storeFieldId, String search, Integer pageNum,
            Integer pageSize);

    /**
     * 查询列表数据
     * @Title: listStoreFieldSelect 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param search  code或者名称
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreFieldSelectDTO>> 
      */
    ServiceResponse<List<StoreFieldSelectDTO>> listStoreFieldSelect(int storeFieldId, String search);

    /**
     * 主键查询记录
     * @Title: getStoreFieldSelect 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.store.dto.StoreFieldSelectDTO> 
      */
    ServiceResponse<StoreFieldSelectDTO> getStoreFieldSelect(int storeFieldSelectId);

    /**
     * 置底排序
     * @Title: sortBottom 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> sortBottom(int storeFieldSelectId);

    /**
     * 置顶排序
     * @Title: sortTopping 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> sortTopping(int storeFieldSelectId);

    /**
     * 企业ID无效
     * @Title: listStoreFieldSelectByIds 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param storeFileIdSelectIdList 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreFieldSelectDTO>> 
      */
    ServiceResponse<List<StoreFieldSelectDTO>> listStoreFieldSelectByIds(Integer enterpriseId, List<Integer> storeFileIdSelectIdList);
}
