package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreTagDTO;

import java.util.List;

/**
 * 门店标签
 * @ClassName: StoreTagApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/1/14 4:23 PM 
 */
public interface StoreTagApiService {

    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param dto
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> save(StoreTagDTO dto);

    /**
     * update
     * @Title: update
     * @Description:
     * @author zhiwj
     * @param dto
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> update(StoreTagDTO dto);

    /**
     * delete
     * @Title: delete
     * @Description:
     * @author zhiwj
     * @param storeTagId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.String>
     * @throws
     */
    ServiceResponse<String> delete(Integer storeTagId);

    /**
     * getByStoreTagId
     * @Title: getByStoreTagId
     * @Description:
     * @author zhiwj
     * @param storeTagId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.store.dto.StoreTagDTO>
     * @throws
     */
    ServiceResponse<StoreTagDTO> getByStoreTagId(Integer storeTagId);

    /**
     * listByEnterprise
     * @Title: listByEnterprise
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreTagDTO>>
     * @throws
     */
    ServiceResponse<List<StoreTagDTO>> listByEnterprise(Integer enterpriseId);

    /**
     * listByEnterprise 
     * @Title: listByEnterprise
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @param search
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.StoreTagDTO>>
     * @throws 
     */
    ServiceResponse<List<StoreTagDTO>> listByEnterprise(Integer enterpriseId, String search);
}
