package com.gic.store.service;


/**
 * @ClassName: StoreTaskApiService
 * @Description:  门店异步任务
 * @author zhiwj
 * @date 2019/7/31 15:09
 */
public interface StoreTaskApiService {

    /**
     * 开启异步
     * @Title: importDataToStore
     * @Description: 开启异步
     * @author zhiwj 
     * @param enterpriseId
     * @param userId
     * @param uuId
     * @param isReplace 如果门店code重复，是否替换更新
     * @return java.lang.String
     * @throws 
     */
    String importDataToStore(Integer enterpriseId, String userId, String uuId, boolean isReplace);
    
    /**
     * 异步任务入口
     * @Title: run
     * @Description: 异步任务入口
     * @author zhiwj 
     * @param params
     * @return void
     * @throws 
     */
    public void run(String params);
}
