package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreWidgetLogDTO;
import com.gic.store.dto.StoreWidgetLogSaveDTO;

import java.util.List;

/**
 * 门店选择器操作日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/13 2:55 PM 
 */
public interface StoreWidgetLogApiService {

    /**
     * 新增门店选择器操作日志
     * @param storeWidgetLog
     * @return
     */
    ServiceResponse<Integer> saveStoreWidgetLog(StoreWidgetLogSaveDTO storeWidgetLog);

    /**
     * 批量插入
     * @param list
     * @return 更新数量
     */
    ServiceResponse<Integer> tmpInsert(List<StoreWidgetLogDTO> list);

    /**
     * 修改关联字段，因为门店选择器的ID总是新增指向最新，不维护旧数据.为了保持日志关联，需要更新关联字段
     * @param oldStoreWidgetId
     * @param newStoreWidgetId
     * @return
     */
    @Deprecated
    ServiceResponse<Void> tmpUpdateByStoreWidgetId(Integer oldStoreWidgetId, Integer newStoreWidgetId);

    /**
     * 分页查询门店选择器操作日志
     * @param storeWidgetId 门店选择器ID
     * @param pageNum
     * @param pageSize
     * @return
     */
    ServiceResponse<Page<StoreWidgetLogDTO>> pageStoreWidgetLog(Integer storeWidgetId, Integer pageNum, Integer pageSize);

    /**
     * 查询门店选择器操作日志
     * @param storeWidgetId 门店选择器ID
     * @return
     */
    ServiceResponse<List<StoreWidgetLogDTO>> listStoreWidgetLog(Integer storeWidgetId);

    /**
     * 查询门店选择器最新的操作人信息
     * @param storeWidgetId 门店选择器ID
     * @return
     */
    ServiceResponse<StoreWidgetLogDTO> getLastOperationInfo(Integer storeWidgetId);
}
