package com.gic.store.dao.mapper;

import com.gic.store.entity.TabAuthStoreLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabAuthStoreLogMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:55
 */
public interface TabAuthStoreLogMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuthStoreLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuthStoreLog record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabAuthStoreLog selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuthStoreLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuthStoreLog record);

    /**
     * listLogByKey
     * @Title: listLogByKey
     * @Description:
     * @author zhiwj
     * @param key
     * @param status
     * @return java.util.List<com.gic.store.entity.TabAuthStoreLog>
     * @throws
     */
    List<TabAuthStoreLog> listLogByKey(@Param("key") String key,
                                       @Param("status") Integer status);

    /**
     * listFailedStore
     * @Title: listFailedStore
     * @Description:
     * @author zhiwj
     * @param key
     * @return java.util.List<com.gic.store.entity.TabAuthStoreLog>
     * @throws
     */
    List<TabAuthStoreLog> listFailedStore(@Param("key") String key);

    /**
     * listLog
     * @Title: listLog
     * @Description:
     * @author zhiwj
     * @param key
     * @param storeInfoId
     * @param toEnterpriseId
     * @return java.util.List<com.gic.store.entity.TabAuthStoreLog>
     * @throws
     */
    List<TabAuthStoreLog> listLog(@Param("key") String key,
                                  @Param("storeInfoId") Integer storeInfoId,
                                  @Param("toEnterpriseId") Integer toEnterpriseId);

}