package com.gic.store.dao.mapper;

import com.gic.store.entity.TabClerkPosition;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabClerkPositionMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:35
 */
public interface TabClerkPositionMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabClerkPosition record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabClerkPosition record);

    /**
     * 根据主键查询
     *
     * @param clerkPositionId 主键
     * @return 实体对象
     */
    TabClerkPosition selectByPrimaryKey(Integer clerkPositionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabClerkPosition record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabClerkPosition record);

    /**
     * getSelective
     * @Title: getSelective
     * @Description:
     * @author zhiwj
     * @param tabClerkPosition
     * @return com.gic.store.entity.TabClerkPosition
     * @throws
     */
    TabClerkPosition getSelective(TabClerkPosition tabClerkPosition);

    /**
     * listClerkPosition
     * @Title: listClerkPosition
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param search
     * @return com.github.pagehelper.Page<com.gic.store.entity.TabClerkPosition>
     * @throws
     */
    Page<TabClerkPosition> listClerkPosition(@Param("enterpriseId") Integer enterpriseId, @Param("search") String search);

    /**
     * getMinSort
     * @Title: getMinSort
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.lang.Double
     * @throws
     */
    Double getMinSort(@Param("enterpriseId") Integer enterpriseId);

    /**
     * getMaxSort
     * @Title: getMaxSort
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.lang.Double
     * @throws
     */
    Double getMaxSort(@Param("enterpriseId") Integer enterpriseId);

    /**
     * listTwoElementExceptId
     * @Title: listTwoElementExceptId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param start
     * @param size
     * @param clerkPositionId
     * @return java.util.List<com.gic.store.entity.TabClerkPosition>
     * @throws
     */
    List<TabClerkPosition> listTwoElementExceptId(@Param("enterpriseId") Integer enterpriseId, @Param("start") int start, @Param("size") int size, @Param("clerkPositionId") Integer clerkPositionId);

    /**
     * getByName
     * @Title: getByName
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param positionName
     * @return com.gic.store.entity.TabClerkPosition
     * @throws
     */
    TabClerkPosition getByName(@Param("enterpriseId") Integer enterpriseId, @Param("positionName") String positionName);
}