package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreDict;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabStoreDictMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:36
 */
public interface TabStoreDictMapper {
    /**
     * 根据主键删除
     *
     * @param storeDictId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeDictId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreDict record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreDict record);

    /**
     * 根据主键查询
     *
     * @param storeDictId 主键
     * @return 实体对象
     */
    TabStoreDict selectByPrimaryKey(Integer storeDictId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreDict record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreDict record);

    /**
     * 根据企业id查询门店类型
     * @param enterpriseId
     * @return
     */
    List<String> listStoreType(Integer enterpriseId);

    /**
     * listStoreStatus
     * @Title: listStoreStatus
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<java.lang.String>
     * @throws
     */
    List<String> listStoreStatus(Integer enterpriseId);

    /**
     * listStoreField
     * @Title: listStoreField
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<java.lang.String>
     * @throws
     */
    List<String> listStoreField(Integer enterpriseId);

    /**
     * deleteStoreDict
     * @Title: deleteStoreDict
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param value
     * @param type
     * @return void
     * @throws
     */
    void deleteStoreDict(@Param("enterpriseId") Integer enterpriseId, @Param("value")String value, @Param("type") String type);
}