package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreExtend;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabStoreExtendMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:36
 */
public interface TabStoreExtendMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreExtend record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreExtend record);

    /**
     * 根据主键查询
     *
     * @param storeExtendId 主键
     * @return 实体对象
     */
    TabStoreExtend selectByPrimaryKey(Integer storeExtendId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreExtend record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreExtend record);

    /**
     * list
     * @Title: list
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeInfoId
     * @return java.util.List<com.gic.store.entity.TabStoreExtend>
     * @throws
     */
    List<TabStoreExtend> list(@Param("enterpriseId") Integer enterpriseId, @Param("storeInfoId") Integer storeInfoId);

    /**
     * getStoreExtendByStoreInfoIdAndStoreFieldId
     * @Title: getStoreExtendByStoreInfoIdAndStoreFieldId
     * @Description:
     * @author zhiwj
     * @param storeInfoId
     * @param storeFieldId
     * @return com.gic.store.entity.TabStoreExtend
     * @throws
     */
    TabStoreExtend getStoreExtendByStoreInfoIdAndStoreFieldId(@Param("storeInfoId") Integer storeInfoId, @Param("storeFieldId") Integer storeFieldId);

    /**
     * countStoreExtendStoreField
     * @Title: countStoreExtendStoreField
     * @Description:
     * @author zhiwj
     * @param storeField
     * @param storeFieldSelectId
     * @return int
     * @throws
     */
    int countStoreExtendStoreField(@Param("storeField") Integer storeField, @Param("storeFieldSelectId") Integer storeFieldSelectId);

    /**
     * countExtendByValue
     * @Title: countExtendByValue
     * @Description:
     * @author zhiwj
     * @param storeFieldId
     * @param value
     * @param storeExtendId
     * @return int
     * @throws
     */
    int countExtendByValue(@Param("storeFieldId") Integer storeFieldId, @Param("value") String value, @Param("storeExtendId") Integer storeExtendId);

    /**
     * delete
     * @Title: delete
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeInfoId
     * @return void
     * @throws
     */
    void delete(@Param("enterpriseId") Integer enterpriseId, @Param("storeInfoId") Integer storeInfoId);

    /**
     * insertNotRepeat
     * @Title: insertNotRepeat
     * @Description:
     * @author zhiwj
     * @param tabStoreExtend
     * @return void
     * @throws
     */
    void insertNotRepeat(TabStoreExtend tabStoreExtend);
}