package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreIndexLog;

/**
 * 
 * @ClassName: TabStoreIndexLogMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:37
 */
public interface TabStoreIndexLogMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreIndexLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreIndexLog record);

    /**
     * 根据主键查询
     *
     * @param storeIndexId 主键
     * @return 实体对象
     */
    TabStoreIndexLog selectByPrimaryKey(Integer storeIndexId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreIndexLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreIndexLog record);
}