package com.gic.store.dao.mapper;

import com.gic.store.dto.StoreLogDTO;
import com.gic.store.entity.TabStoreLog;
import com.github.pagehelper.Page;

/**
 * 
 * @ClassName: TabStoreLogMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:38
 */
public interface TabStoreLogMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreLog record);

    /**
     * 根据主键查询
     *
     * @param storeLogId 主键
     * @return 实体对象
     */
    TabStoreLog selectByPrimaryKey(Integer storeLogId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreLog record);
    
    /**
     * listStoreLog 
     * @Title: listStoreLog
     * @Description: 
     * @author zhiwj 
 * @param storeLogDTO
     * @return com.github.pagehelper.Page<com.gic.store.entity.TabStoreLog>
     * @throws 
     */
    Page<TabStoreLog> listStoreLog(StoreLogDTO storeLogDTO);
}