package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStorePhoto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabStorePhotoMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:38
 */
public interface TabStorePhotoMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStorePhoto record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStorePhoto record);

    /**
     * 根据主键查询
     *
     * @param storePhotoId 主键
     * @return 实体对象
     */
    TabStorePhoto selectByPrimaryKey(Integer storePhotoId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStorePhoto record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStorePhoto record);

    /**
     * listStorePhoto
     * @Title: listStorePhoto
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeInfoId
     * @return java.util.List<com.gic.store.entity.TabStorePhoto>
     * @throws
     */
    List<TabStorePhoto> listStorePhoto(@Param("enterpriseId") Integer enterpriseId, @Param("storeInfoId") Integer storeInfoId);

    /**
     * updateAllStorePhoto
     * @Title: updateAllStorePhoto
     * @Description:
     * @author zhiwj
     * @param imageCode
     * @param imageUrl
     * @param sort
     * @param enterpriseId
     * @return int
     * @throws
     */
    int updateAllStorePhoto(@Param("imageCode") String imageCode, @Param("imageUrl")String imageUrl, @Param("sort") int sort, @Param("enterpriseId") Integer enterpriseId);

    /**
     * updatePhotoBystoreInfoIds
     * @Title: updatePhotoBystoreInfoIds
     * @Description:
     * @author zhiwj
     * @param imageCode
     * @param imageUrl
     * @param sort
     * @param storeInfoIds
     * @return int
     * @throws
     */
    int updatePhotoBystoreInfoIds(@Param("imageCode") String imageCode, @Param("imageUrl")String imageUrl, @Param("sort") int sort, @Param("storeInfoIds") List<Integer> storeInfoIds);

    /**
     * deleteAllByEnterpriseId
     * @Title: deleteAllByEnterpriseId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return int
     * @throws
     */
    int deleteAllByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);

    /**
     * deleteBystoreInfoIds
     * @Title: deleteBystoreInfoIds
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeIdList
     * @return int
     * @throws
     */
    int deleteBystoreInfoIds(@Param("enterpriseId") Integer enterpriseId, @Param("storeInfoIdList") List<Integer> storeIdList);

    /**
     * addAllStorePhoto
     * @Title: addAllStorePhoto
     * @Description:
     * @author zhiwj
     * @param imageCode
     * @param imageUrl
     * @param sort
     * @param enterpriseId
     * @return int
     * @throws
     */
    int addAllStorePhoto(@Param("imageCode") String imageCode, @Param("imageUrl")String imageUrl, @Param("sort") int sort, @Param("enterpriseId") Integer enterpriseId);

    /**
     * addPhotoBystoreInfoIds
     * @Title: addPhotoBystoreInfoIds
     * @Description:
     * @author zhiwj
     * @param imageCode
     * @param imageUrl
     * @param sort
     * @param storeIdInfoList
     * @return int
     * @throws
     */
    int addPhotoBystoreInfoIds(@Param("imageCode") String imageCode, @Param("imageUrl")String imageUrl, @Param("sort") int sort, @Param("storeInfoIdList") List<Integer> storeIdInfoList);

}