package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreRegionRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabStoreRegionRelMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:38
 */
public interface TabStoreRegionRelMapper {
    /**
     * 根据主键删除
     *
     * @param storeRegionRelId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeRegionRelId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreRegionRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreRegionRel record);

    /**
     * 根据主键查询
     *
     * @param storeRegionRelId 主键
     * @return 实体对象
     */
    TabStoreRegionRel selectByPrimaryKey(Integer storeRegionRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreRegionRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreRegionRel record);

    /**
     * get
     * @Title: get
     * @Description:
     * @author zhiwj
     * @param param
     * @return com.gic.store.entity.TabStoreRegionRel
     * @throws
     */
    TabStoreRegionRel get(TabStoreRegionRel param);

    /**
     * listByAuthorize
     * @Title: listByAuthorize
     * @Description:
     * @author zhiwj
     * @param fromEnterpriseId
     * @param toEnterpriseId
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> listByAuthorize(@Param("fromEnterpriseId") Integer fromEnterpriseId, @Param("toEnterpriseId") Integer toEnterpriseId);

    /**
     * delByRegionIds
     * @Title: delByRegionIds
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param delRelList
     * @param ownType
     * @return void
     * @throws
     */
    void delByRegionIds(@Param("enterpriseId") Integer enterpriseId, @Param("ids") List<Integer> delRelList, @Param("ownType") Integer ownType);

    /**
     * getByRegionIdAndEnterpriseId
     * @Title: getByRegionIdAndEnterpriseId
     * @Description:
     * @author zhiwj
     * @param storeRegionRel
     * @return com.gic.store.entity.TabStoreRegionRel
     * @throws
     */
    TabStoreRegionRel getByRegionIdAndEnterpriseId(TabStoreRegionRel storeRegionRel);

    /**
     * updateStatusByOther
     * @Title: updateStatusByOther
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionId
     * @param deleteFlag
     * @return void
     * @throws
     */
    void updateStatusByOther(@Param("enterpriseId") Integer enterpriseId, @Param("regionId") Integer regionId, @Param("deleteFlag") int deleteFlag);

    /**
     * deleteRegionRel
     * @Title: deleteRegionRel
     * @Description: 删除域
     * @author taogs
     * @param enterpriseId
     * @param regionId
     * @return void
     * @throws
     */
    void deleteRegionRel(@Param("enterpriseId") Integer enterpriseId, @Param("regionId") Integer regionId);

    /**
     * cancelRegionAuth 
     * @Title: cancelRegionAuth
     * @Description:
     * @author taogs 
 * @param ownEnterpriseId
 * @param unionEnterpriseId
     * @return int
     * @throws 
     */
    int cancelRegionAuth(@Param("ownEnterpriseId") Integer ownEnterpriseId, @Param("unionEnterpriseId") Integer unionEnterpriseId);
}