package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreStatusSetting;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabStoreStatusSettingMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:38
 */
public interface TabStoreStatusSettingMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreStatusSetting record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreStatusSetting record);

    /**
     * 根据主键查询
     *
     * @param storeStatusId 主键
     * @return 实体对象
     */
    TabStoreStatusSetting selectByPrimaryKey(Integer storeStatusId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreStatusSetting record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreStatusSetting record);

    /**
     * selectAll
     * @Title: selectAll
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<com.gic.store.entity.TabStoreStatusSetting>
     * @throws
     */
    List<TabStoreStatusSetting> selectAll(@Param("enterpriseId") Integer enterpriseId);

    /**
     * delete
     * @Title: delete
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param id
     * @return int
     * @throws
     */
    int delete(@Param("enterpriseId") Integer enterpriseId, @Param("id") Integer id);

    /**
     * selectByRegionId
     * @Title: selectByRegionId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionId
     * @return java.util.List<com.gic.store.entity.TabStoreStatusSetting>
     * @throws
     */
    List<TabStoreStatusSetting> selectByRegionId(@Param("enterpriseId") Integer enterpriseId, @Param("regionId") Integer regionId);
}