package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreTmp;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabStoreTmpMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 18:52
 */

public interface TabStoreTmpMapper {
    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreTmp record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreTmp record);

    /**
     * 根据主键查询
     *
     * @param storeTmpId 主键
     * @return 实体对象
     */
    TabStoreTmp selectByPrimaryKey(Integer storeTmpId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreTmp record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreTmp record);

    /**
     * countByStore
     * @Title: countByStore
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param uuId
     * @param errorMessage
     * @return int
     * @throws
     */
    int countByStore(@Param("enterpriseId") Integer enterpriseId,@Param("uuId") String uuId , @Param("errorMessage") String errorMessage);

    /**
     * delStoreTmp
     * @Title: delStoreTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return void
     * @throws
     */
    void delStoreTmp(@Param("enterpriseId") Integer enterpriseId);

    /**
     * listStoreTmp
     * @Title: listStoreTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param isSuccess
     * @return java.util.List<com.gic.store.entity.TabStoreTmp>
     * @throws
     */
    List<TabStoreTmp> listStoreTmp(@Param("enterpriseId") Integer enterpriseId, @Param("isSuccess") Boolean isSuccess);

    /**
     * countByImportFailStore
     * @Title: countByImportFailStore
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param uuId
     * @return java.lang.Integer
     * @throws
     */
    Integer countByImportFailStore(@Param("enterpriseId") Integer enterpriseId, @Param("uuId") String uuId);

    /**
     * listUnImportStore
     * @Title: listUnImportStore
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<com.gic.store.entity.TabStoreTmp>
     * @throws
     */
    List<TabStoreTmp> listUnImportStore(@Param("enterpriseId") Integer enterpriseId);
}