package com.gic.store.dao.mapper;

import com.gic.store.dto.StoreWidgetLogDTO;
import com.gic.store.entity.TabStoreWidgetLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 门店选择器日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/13 3:36 PM 
 */
public interface TabStoreWidgetLogMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreWidgetLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreWidgetLog record);

    /**
     * 根据主键查询
     *
     * @param storeWidgetLogId 主键
     * @return 实体对象
     */
    TabStoreWidgetLog selectByPrimaryKey(Integer storeWidgetLogId);

    /**
     * 修改关联字段，因为门店选择器的ID总是新增指向最新，不维护旧数据.为了保持日志关联，需要更新关联字段
     * @param oldStoreWidgetId
     * @param newStoreWidgetId
     * @return
     */
    int tmpUpdateByStoreWidgetId(@Param("oldStoreWidgetId") Integer oldStoreWidgetId,
                                 @Param("newStoreWidgetId") Integer newStoreWidgetId);

    /**
     * 分页查询
     * @param storeWidgetId
     * @return
     */
    List<TabStoreWidgetLog> pageStoreWidgetLog(@Param("storeWidgetId") Integer storeWidgetId);

    /**
     * 查询门店选择器最新的操作人信息
     * @param storeWidgetId
     * @return
     */
    TabStoreWidgetLog getLastOperationInfo(@Param("storeWidgetId") Integer storeWidgetId);

    /**
     * 批量插入
     * @param list
     * @return
     */
    Integer tmpInsert(@Param("list") List<StoreWidgetLogDTO> list);

}