package com.gic.store.dao.mapper;

import com.gic.store.entity.TabUnionStoreChangeLog;
import org.apache.ibatis.annotations.Param;

public interface TabUnionStoreChangeLogMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabUnionStoreChangeLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabUnionStoreChangeLog record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabUnionStoreChangeLog selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabUnionStoreChangeLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabUnionStoreChangeLog record);
    /**
     * selectByEnterpriseId
     * @Title: selectByEnterpriseId
     * @Description: 查询联合商户门店授权范围是否变更
     * @author taogs
     * @param ownEnterpriseId
     * @param unionEnterpriseId
     * @return com.gic.store.entity.TabUnionStoreChangeLog
     * @throws
     */
    TabUnionStoreChangeLog selectByEnterpriseId(@Param("ownEnterpriseId") Integer ownEnterpriseId, @Param("unionEnterpriseId") Integer unionEnterpriseId);
}