package com.gic.store.service;

import com.gic.store.dto.ClerkPositionDTO;
import com.gic.store.entity.TabClerkPosition;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-15 17:08
 */
public interface ClerkPositionService {
    /**
     * isPositionNameRepeat
     * @Title: isPositionNameRepeat
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param positionName
     * @param clerkPositionId
     * @return boolean
     * @throws
     */
    boolean isPositionNameRepeat(Integer enterpriseId, String positionName, Integer clerkPositionId);

    /**
     * isPositionCodeRepeat
     * @Title: isPositionCodeRepeat
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param positionCode
     * @param clerkPositionId
     * @return boolean
     * @throws
     */
    boolean isPositionCodeRepeat(Integer enterpriseId, String positionCode, Integer clerkPositionId);

    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param clerkPositionDTO
     * @return void
     * @throws
     */
    void save(ClerkPositionDTO clerkPositionDTO);

    /**
     * update
     * @Title: update
     * @Description:
     * @author zhiwj
     * @param clerkPositionDTO
     * @return void
     * @throws
     */
    void update(ClerkPositionDTO clerkPositionDTO);

    /**
     * getByClerkPositionId
     * @Title: getByClerkPositionId
     * @Description:
     * @author zhiwj
     * @param clerkPositionId
     * @return com.gic.store.entity.TabClerkPosition
     * @throws
     */
    TabClerkPosition getByClerkPositionId(Integer clerkPositionId);

    /**
     * listClerkPosition
     * @Title: listClerkPosition
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param search
     * @param currentPage
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.store.entity.TabClerkPosition>
     * @throws
     */
    Page<TabClerkPosition> listClerkPosition(Integer enterpriseId, String search, Integer currentPage, Integer pageSize);

    /**
     * listAllClerkPosition
     * @Title: listAllClerkPosition
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param search
     * @return java.util.List<com.gic.store.entity.TabClerkPosition>
     * @throws
     */
    List<TabClerkPosition> listAllClerkPosition(Integer enterpriseId, String search);

    /**
     * deleteById
     * @Title: deleteById
     * @Description:
     * @author zhiwj
     * @param clerkPositionId
     * @return void
     * @throws
     */
    void deleteById(Integer clerkPositionId);

    /**
     * setSort
     * @Title: setSort
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param clerkPositionId
     * @param seq
     * @return void
     * @throws
     */
    void setSort(Integer enterpriseId, Integer clerkPositionId, Integer seq);

    /**
     * sortTopping
     * @Title: sortTopping
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param clerkPositionId
     * @return void
     * @throws
     */
    void sortTopping(Integer enterpriseId, Integer clerkPositionId);

    /**
     * sortBottom
     * @Title: sortBottom
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param clerkPositionId
     * @return void
     * @throws
     */
    void sortBottom(Integer enterpriseId, Integer clerkPositionId);

    /**
     * getByName
     * @Title: getByName
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param positionName
     * @return com.gic.store.entity.TabClerkPosition
     * @throws
     */
    TabClerkPosition getByName(Integer enterpriseId, String positionName);
}
