package com.gic.store.service;

import com.gic.store.entity.TabStoreDict;

import java.util.List;
/**
 * 
 * @ClassName: StoreDictService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:53
 */
public interface StoreDictService {
    /**
     * listStoreType 获取企业下的门店类型
     * @Title: listStoreType
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<java.lang.String>
     * @throws
     */
    List<String> listStoreType(Integer enterpriseId);

    /**
     * listStoreStatus 获取企业下的门店状态
     * @Title: listStoreStatus
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<java.lang.String>
     * @throws
     */
    List<String> listStoreStatus(Integer enterpriseId);

    /**
     * saveStoreType 保存门店类型
     * @Title: saveStoreType
     * @Description:
     * @author zhiwj
     * @param tabStoreDict
     * @return void
     * @throws
     */
    void saveStoreType(TabStoreDict tabStoreDict);

    /**
     * saveStoreStatus 保存门店状态
     * @Title: saveStoreStatus
     * @Description:
     * @author zhiwj
     * @param tabStoreDict
     * @return void
     * @throws
     */
    void saveStoreStatus(TabStoreDict  tabStoreDict);

    /**
     * listStoreField 查询门店自定义字段配置支持查询
     * @Title: listStoreField
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<java.lang.String>
     * @throws
     */
    List<String> listStoreField(Integer enterpriseId);

    /**
     * saveStoreField
     * @Title: saveStoreField
     * @Description:
     * @author zhiwj
     * @param tabStoreDict
     * @return void
     * @throws
     */
    void saveStoreField(TabStoreDict tabStoreDict);

    /**
     * deleteStoreDict
     * @Title: deleteStoreDict
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param value
     * @param type
     * @return void
     * @throws
     */
    void deleteStoreDict(Integer enterpriseId, String value, String type);
}
