package com.gic.store.service;

import com.gic.store.dto.StoreExtendDTO;
import com.gic.store.entity.TabStoreExtend;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/3
 */
public interface StoreExtendService {
    /**
     * saveOrUpdate
     * @Title: saveOrUpdate
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeInfoId
     * @param storeExtendList
     * @return java.lang.String
     * @throws
     */
    String saveOrUpdate(Integer enterpriseId, Integer storeInfoId, List<StoreExtendDTO> storeExtendList);

    /**
     * listByStoreInfoId
     * @Title: listByStoreInfoId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeInfoId
     * @return List<TabStoreExtend>
     * @throws
     */
    List<TabStoreExtend> listByStoreInfoId(Integer enterpriseId, Integer storeInfoId);

    /**
     * convertStoreExtendToDTO
     * @Title: convertStoreExtendToDTO
     * @Description:
     * @author zhiwj
     * @param extendList
     * @return List<StoreExtendDTO>
     * @throws
     */
    List<StoreExtendDTO> convertStoreExtendToDTO(List<TabStoreExtend> extendList);

    /**
     * getStoreExtendByStoreInfoIdAndFieldId
     * @Title: getStoreExtendByStoreInfoIdAndFieldId
     * @Description:
     * @author zhiwj
     * @param storeInfoId
     * @param storeFieldId
     * @return TabStoreExtend
     * @throws
     */
    TabStoreExtend getStoreExtendByStoreInfoIdAndFieldId(Integer storeInfoId, Integer storeFieldId);

    /**
     * storeExtendHasStoreField 判断自定义属性是否在使用
     * @Title: storeExtendHasStoreField
     * @Description:
     * @author zhiwj
     * @param storeField
     * @return boolean
     * @throws
     */
    boolean storeExtendHasStoreField(Integer storeField);

    /**
     * storeExtendHasStoreFieldSelect 判断自定义属性值是否在使用
     * @Title: storeExtendHasStoreFieldSelect
     * @Description:
     * @author zhiwj
     * @param storeField
     * @param storeFieldSelectId
     * @return boolean
     * @throws
     */
    boolean storeExtendHasStoreFieldSelect(Integer storeField, Integer storeFieldSelectId);

}
