package com.gic.store.service;

import com.gic.store.dto.StoreFieldRegionMapDTO;
import com.gic.store.dto.StoreFieldRegionRelDTO;
import com.gic.store.entity.TabStoreFieldRegionRel;

import java.util.List;
/**
 * 门店域门店属性关联
 * @ClassName:    StoreFieldRegionRelService
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/23 2:05 PM 
 */
public interface StoreFieldRegionRelService {

    /**
     * 批量新增
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void saveFetch(List<StoreFieldRegionRelDTO> list);

    /**
     * 根据字段ID删除关联表数据
     * @Title: deleteByStoreFieldId 
     * @Description:
      * @author guojuxing
     * @param storeFieldId 
     * @return  void 
      */
    void deleteByStoreFieldId(Integer storeFieldId);

    /**
     * 批量删除
     * @Title: deleteFetchByStoreFieldIds 
     * @Description:
      * @author guojuxing
     * @param storeFieldIdList 
     * @return  void 
      */
    void deleteFetchByStoreFieldIds(List<Integer> storeFieldIdList);

    /**
     * 查询有权限的门店字段ID list
     * @Title: listStoreFieldId 
     * @Description:
      * @author guojuxing
     * @param regionList 
     * @return  java.util.List<java.lang.Integer> 
      */
    List<Integer> listStoreFieldId(List<Integer> regionList);

    /**
     * 查询门店属性ID map 门店域IDs
     * @Title: listByStoreFieldIdList 
     * @Description:
      * @author guojuxing
     * @param storeFieldIdList 
     * @return  java.util.List<com.gic.store.entity.TabStoreFieldRegionRel> 
      */
    List<StoreFieldRegionMapDTO> listByStoreFieldIdList(List<Integer> storeFieldIdList);

}
