package com.gic.store.service;

import com.gic.store.dto.StoreFieldSelectDTO;
import com.gic.store.entity.TabStoreFieldSelect;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 自定义字段属性值
 * @ClassName: StoreFieldSelectService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/7/1 2:47 PM
 */
public interface StoreFieldSelectService {
    /**
     * 新增
     * @Title: saveByOwner 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectDTO 
     * @return  int  返回主键ID值
      */
    int save(StoreFieldSelectDTO storeFieldSelectDTO);

    /**
     * 查询下一个排序值的属性值
     * @Title: getNextSort 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param sort 
     * @return  com.gic.store.entity.TabStoreFieldSelect 
      */
    TabStoreFieldSelect getNextSort(int storeFieldId, double sort);

    /**
     * 查询上一个排序值的属性值
     * @Title: getPrevSort 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param sort 
     * @return  com.gic.store.entity.TabStoreFieldSelect 
      */
    TabStoreFieldSelect getPrevSort(int storeFieldId, double sort);

    /**
     * 根据主键查询
     * @Title: getStoreFieldSelectById 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectId 
     * @return  com.gic.store.entity.TabStoreFieldSelect 
      */
    TabStoreFieldSelect getStoreFieldSelectById(int storeFieldSelectId);

    /**
     * 更新序号
     * @Title: updateSortById 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectId
     * @param sort 
     * @return  int 
      */
    int updateSortById(int storeFieldSelectId, double sort);

    /**
     * 自定义序号排序
     * @Title: setStoreFieldSelectSort 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectId
     * @param storeFieldId
     * @param setValue 
     * @return  void 
      */
    void setStoreFieldSelectSort(int storeFieldSelectId, int storeFieldId, int setValue);

    /**
     * 批量个删除
     * @Title: deleteBatch 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectIdList 
     * @return  int 
      */
    int deleteBatch(List<Integer> storeFieldSelectIdList);

    /**
     * edit
     * @Title: edit 
     * @Description:
      * @author guojuxing
     * @param storeFieldSelectId
     * @param storeFieldSelectName
     * @param storeFieldSelectCode 
     * @return  int 
      */
    int edit(int storeFieldSelectId, String storeFieldSelectName, String storeFieldSelectCode);

    /**
     * 分页查询列表数据
     * @Title: listStoreFieldSelect 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param search
     * @param pageNum
     * @param pageSize 
     * @return  com.github.pagehelper.Page<com.gic.store.entity.TabStoreFieldSelect> 
      */
    Page<TabStoreFieldSelect> listStoreFieldSelect(int storeFieldId, String search, Integer pageNum, Integer pageSize);

    /**
     * 查询列表数据
     * @Title: listStoreFieldSelect 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param search 
     * @return  java.util.List<com.gic.store.entity.TabStoreFieldSelect> 
      */
    List<TabStoreFieldSelect> listStoreFieldSelect(int storeFieldId, String search);

    /**
     * 置底排序
     * @Title: sortBottom 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param storeFieldSelectId 
     * @return  void 
      */
    void sortBottom(int storeFieldId, int storeFieldSelectId);

    /**
     * 置顶排序
     * @Title: sortTopping 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param storeFieldSelectId 
     * @return  void 
      */
    void sortTopping(int storeFieldId, int storeFieldSelectId);

    /**
     * 获取最小排序值的排序号
     * @Title: getMinSort 
     * @Description:
      * @author guojuxing
     * @param storeFieldId 
     * @return  double 
      */
    double getMinSort(int storeFieldId);

    /**
     * code是否重复
     * @Title: isRepeatCode 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param storeFieldSelectId
     * @param storeFieldSelectCode 
     * @return  boolean 
      */
    boolean isRepeatCode(Integer storeFieldId, Integer storeFieldSelectId, String storeFieldSelectCode);

    /**
     * 名称是否重复
     * @Title: isRepeatName 
     * @Description:
      * @author guojuxing
     * @param storeFieldId
     * @param storeFieldSelectId
     * @param storeFieldSelectName 
     * @return  boolean 
      */
    boolean isRepeatName(Integer storeFieldId, Integer storeFieldSelectId, String storeFieldSelectName);
    
    /**
     * listStoreFieldSelectByIds 
     * @Title: listStoreFieldSelectByIds
     * @Description: 
     * @author zhiwj 
 * @param storeFileIdSelectIdList
     * @return java.util.List<com.gic.store.entity.TabStoreFieldSelect>
     * @throws 
     */
    List<TabStoreFieldSelect> listStoreFieldSelectByIds(List<Integer> storeFileIdSelectIdList);
}
