package com.gic.store.service;

import com.gic.store.dto.StoreTmpDTO;
import com.gic.store.entity.TabStoreTmp;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/3
 */
public interface StoreImportService {
    /**
     * hasImportingStore
     * @Title: hasImportingStore
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.lang.Boolean
     * @throws
     */
    Boolean hasImportingStore(Integer enterpriseId);

    /**
     * delStoreTmp
     * @Title: delStoreTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return void
     * @throws
     */
    void delStoreTmp(Integer enterpriseId);

    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param bean
     * @return void
     * @throws
     */
    void save(StoreTmpDTO bean);

    /**
     * listStoreTmp
     * @Title: listStoreTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param isSuccess
     * @param currentPage
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.store.entity.TabStoreTmp>
     * @throws
     */
    Page<TabStoreTmp> listStoreTmp(Integer enterpriseId, boolean isSuccess, Integer currentPage, Integer pageSize);

    /**
     * listUnImportStore
     * @Title: listUnImportStore
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<com.gic.store.entity.TabStoreTmp>
     * @throws
     */
    List<TabStoreTmp> listUnImportStore(String enterpriseId);

    /**
     * updateData
     * @Title: updateData
     * @Description:
     * @author zhiwj
     * @param t
     * @return void
     * @throws
     */
    void updateData(StoreTmpDTO t);

    /**
     * listStoreTmp
     * @Title: listStoreTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param isSuccess
     * @return java.util.List<com.gic.store.entity.TabStoreTmp>
     * @throws
     */
    List<TabStoreTmp> listStoreTmp(Integer enterpriseId, Boolean isSuccess);

    /**
     * listAllStoreTmp
     * @Title: listAllStoreTmp
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<com.gic.store.entity.TabStoreTmp>
     * @throws
     */
    List<TabStoreTmp> listAllStoreTmp(Integer enterpriseId);

    /**
     * countByTaskTotal
     * @Title: countByTaskTotal
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param uuId
     * @return java.lang.Integer
     * @throws
     */
    Integer countByTaskTotal(Integer enterpriseId, String uuId);

    /**
     * countByTaskExecNum
     * @Title: countByTaskExecNum
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param uuId
     * @return java.lang.Integer
     * @throws
     */
    Integer countByTaskExecNum(Integer enterpriseId, String uuId);

    /**
     * countByTaskFailNum
     * @Title: countByTaskFailNum
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param uuId
     * @return java.lang.Integer
     * @throws
     */
    Integer countByTaskFailNum(Integer enterpriseId, String uuId);
}
