package com.gic.store.service;

import com.gic.store.dto.StoreLogDTO;
import com.gic.store.entity.TabStoreLog;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @ClassName: StoreLogService
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 15:47
 */
public interface StoreLogService {

    /**
     * 门店日志
     * @Title: saveStoreLog
     * @Description:
     * @author zhiwj
     * @param storeLogDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer saveStoreLog(StoreLogDTO storeLogDTO);

    /**
     * listStoreLog 查询列表
     * @Title: listStoreLog
     * @Description:
     * @author zhiwj
     * @param storeLogDTO
     * @param currentPage
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.store.entity.TabStoreLog>
     * @throws
     */
    Page<TabStoreLog> listStoreLog(StoreLogDTO storeLogDTO, Integer currentPage, Integer pageSize);

    /**
     * saveBulkStoreInfoLog
     * @Title: saveBulkStoreInfoLog
     * @Description:
     * @author zhiwj
     * @param storeInfoIdList
     * @param enterpriseId
     * @param operatorId
     * @param operatorName
     * @param content
     * @return void
     * @throws
     */
    void saveBulkStoreInfoLog(List<Integer> storeInfoIdList, Integer enterpriseId, Integer operatorId, String operatorName, String content);

    /**
     * saveBulkStoreStatusLog
     * @Title: saveBulkStoreStatusLog
     * @Description:
     * @author zhiwj
     * @param storeInfoIdList
     * @param enterpriseId
     * @param operatorId
     * @param operatorName
     * @param content
     * @return void
     * @throws
     */
    void saveBulkStoreStatusLog(List<Integer> storeInfoIdList, Integer enterpriseId, Integer operatorId, String operatorName, String content);

    /**
     * saveBulkStoreGroupLog
     * @Title: saveBulkStoreGroupLog
     * @Description:
     * @author zhiwj
     * @param storeInfoIdList
     * @param enterpriseId
     * @param operatorId
     * @param operatorName
     * @param content
     * @return void
     * @throws
     */
    void saveBulkStoreGroupLog(List<Integer> storeInfoIdList, Integer enterpriseId, Integer operatorId, String operatorName, String content);

}