package com.gic.store.service;

import com.gic.store.entity.TabStoreRegionRel;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-23 14:06
 */
public interface StoreRegionRelService {
    /**
     * saveByOwner
     * @Title: saveByOwner
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionId
     * @return java.lang.Integer
     * @throws
     */
    Integer saveByOwner(Integer enterpriseId, Integer regionId);

    /**
     * saveByOther
     * @Title: saveByOther
     * @Description:
     * @author zhiwj
     * @param fromEnterpriseId
     * @param enterpriseId
     * @param regionId
     * @return java.lang.Integer
     * @throws
     */
    Integer saveByOther(Integer fromEnterpriseId, Integer enterpriseId, Integer regionId);

    /**
     * validIsOwn
     * @Title: validIsOwn
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionId
     * @return boolean
     * @throws
     */
    boolean validIsOwn(Integer enterpriseId, Integer regionId);

    /**
     * listByAuthorize
     * @Title: listByAuthorize
     * @Description:
     * @author zhiwj
     * @param fromEnterpriseId
     * @param toEnterpriseId
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> listByAuthorize(Integer fromEnterpriseId, Integer toEnterpriseId);

    /**
     * delByRegionIds
     * @Title: delByRegionIds
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param delRelList
     * @param ownType
     * @return void
     * @throws
     */
    void delByRegionIds(Integer enterpriseId, List<Integer> delRelList, Integer ownType);

    /**
     * getByRegionIdAndEnterpriseId
     * @Title: getByRegionIdAndEnterpriseId
     * @Description:
     * @author zhiwj
     * @param regionId
     * @param enterpriseId
     * @param ownType
     * @return com.gic.store.entity.TabStoreRegionRel
     * @throws
     */
    TabStoreRegionRel getByRegionIdAndEnterpriseId(Integer regionId, Integer enterpriseId, int ownType);

    /**
     * updateStatusByOther
     * @Title: updateStatusByOther
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionId
     * @param status
     * @return void
     * @throws
     */
    void updateStatusByOther(Integer enterpriseId, Integer regionId, int status);

    /***
     * cancelRegionAuth
     * @Title: cancelRegionAuth
     * @Description:   取消门店域授权
     * @author taogs
     * @param ownEnterpriseId
     * @param unionEnterpriseId
     * @return int
     * @throws
     */
    int cancelRegionAuth(Integer ownEnterpriseId, Integer unionEnterpriseId);
}
