package com.gic.store.service;

import com.gic.store.dto.StoreRegionDTO;
import com.gic.store.entity.TabStoreRegion;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public interface StoreRegionService {

    /**
     * countByRegionCode
     * @Title: countByRegionCode
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionCode
     * @return int
     * @throws
     */
    int countByRegionCode(Integer enterpriseId, String regionCode);

    /**
     * countByRegionName
     * @Title: countByRegionName
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionName
     * @param regionId
     * @return int
     * @throws
     */
    int countByRegionName(Integer enterpriseId, String regionName, Integer regionId);

    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionCode
     * @param regionName
     * @return java.lang.Integer
     * @throws
     */
    Integer save(Integer enterpriseId, String regionCode, String regionName);

    /**
     * update
     * @Title: update
     * @Description:
     * @author zhiwj
     * @param regionId
     * @param regionName
     * @return int
     * @throws
     */
    int update(Integer regionId, String regionName);

    /**
     * listStoreRegion
     * @Title: listStoreRegion
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param search
     * @param pageNum
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.store.dto.StoreRegionDTO>
     * @throws
     */
    Page<StoreRegionDTO> listStoreRegion(Integer enterpriseId, String search, Integer pageNum, Integer pageSize);

    /**
     * listStoreRegion
     * @Title: listStoreRegion
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param search
     * @param ownType
     * @return java.util.List<com.gic.store.dto.StoreRegionDTO>
     * @throws
     */
    List<StoreRegionDTO> listStoreRegion(Integer enterpriseId, String search, Integer ownType);

    /**
     * listStoreRegion
     * @Title: listStoreRegion
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> listStoreRegion(Integer enterpriseId);

    /**
     * getById
     * @Title: getById
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionId
     * @return com.gic.store.entity.TabStoreRegion
     * @throws
     */
    StoreRegionDTO getById(Integer enterpriseId, Integer regionId);

    /**
     * listStoreRegionByIds
     * @Title: listStoreRegionByIds
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeRegionIdList
     * @param ownType
     * @return java.util.List<com.gic.store.dto.StoreRegionDTO>
     * @throws
     */
    List<StoreRegionDTO> listStoreRegionByIds(Integer enterpriseId, List<Integer> storeRegionIdList, Integer ownType);

    /**
     * listStoreRegionByIds
     * @Title: listStoreRegionByIds
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param storeRegionIdList
     * @return java.util.List<com.gic.store.dto.StoreRegionDTO>
     * @throws
     */
    List<StoreRegionDTO> listStoreRegionByIds(Integer enterpriseId, List<Integer> storeRegionIdList);

    /**
     * getStoreRegionByRegionName
     * @Title: getStoreRegionByRegionName
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param regionName
     * @return com.gic.store.dto.StoreRegionDTO
     * @throws
     */
    StoreRegionDTO getStoreRegionByRegionName(Integer enterpriseId, String regionName);

    /**
     * 门店域和erp关联
     * @Title: 门店域和erp关联
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param regionId
     * @return void
     * @throws
     */
    String relationErp(Integer enterpriseId, Integer regionId);

    /**
     * delRegion
     * @Title: delRegion
     * @Description: 删除门店域
     * @author taogs
     * @param enterpriseId
     * @param regionId
     * @return java.lang.Integer
     * @throws
     */
    Integer delRegion(Integer enterpriseId, Integer regionId);
}
