package com.gic.store.service;

import com.gic.store.dto.StoreWidgetLogDTO;
import com.gic.store.entity.TabStoreWidgetLog;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 门店选择器操作日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/13 3:20 PM 
 */
public interface StoreWidgetLogService {
    /**
     * 新增操作日志
     * @param storeWidgetLog
     * @return
     */
    Integer saveStoreWidgetLog(StoreWidgetLogDTO storeWidgetLog);

    /**
     * 批量插入
     * @param list
     * @return
     */
    Integer tmpInsert(List<StoreWidgetLogDTO> list);

    /**
     * 修改关联字段，因为门店选择器的ID总是新增指向最新，不维护旧数据.为了保持日志关联，需要更新关联字段
     * @param oldStoreWidgetId
     * @param newStoreWidgetId
     * @return
     */
    int tmpUpdateByStoreWidgetId(Integer oldStoreWidgetId, Integer newStoreWidgetId);

    /**
     * 分页查询
     * @param storeWidgetId
     * @param pageNum
     * @param pageSize
     * @return
     */
    Page<TabStoreWidgetLog> pageStoreWidgetLog(Integer storeWidgetId, Integer pageNum, Integer pageSize);

    /**
     * 查询操作日列表
     * @param storeWidgetId
     * @return
     */
    List<TabStoreWidgetLog> listStoreWidgetLog(Integer storeWidgetId);

    /**
     * 查询门店选择器最新的操作人信息
     * @param storeWidgetId
     * @return
     */
    TabStoreWidgetLog getLastOperationInfo(Integer storeWidgetId);
}
