package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.store.constant.StoreImportEnum;
import com.gic.store.dao.mapper.TabClerkTmpMapper;
import com.gic.store.dto.ClerkTmpDTO;
import com.gic.store.entity.TabClerkTmp;
import com.gic.store.service.ClerkImportService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/17
 */
@Service
public class ClerkImportServiceImpl implements ClerkImportService {

    @Autowired
    private TabClerkTmpMapper tabClerkTmpMapper;

    @Override
    public Boolean hasImportingClerk(Integer enterpriseId) {
        int count = tabClerkTmpMapper.countByClerk(enterpriseId, null, StoreImportEnum.WAIT.getCode());
        return count > 0;
    }

    @Override
    public void delClerkTmp(Integer enterpriseId) {
        tabClerkTmpMapper.delClerkTmp(enterpriseId);
    }

    @Override
    public void save(ClerkTmpDTO bean) {
        TabClerkTmp tabClerkTmp = EntityUtil.changeEntityByOrika(TabClerkTmp.class, bean);
        tabClerkTmpMapper.insertSelective(tabClerkTmp);
    }

    @Override
    public Page listClerkTmp(Integer enterpriseId, boolean isSuccess, Integer currentPage, Integer pageSize) {
        PageHelper.startPage(currentPage, pageSize);
        return (Page<TabClerkTmp>) tabClerkTmpMapper.listClerkTmp(enterpriseId, isSuccess);
    }

    @Override
    public List<TabClerkTmp> listUnImportClerk(String enterpriseId) {
        return tabClerkTmpMapper.listUnImportClerk(enterpriseId);
    }

    @Override
    public void updateData(ClerkTmpDTO t) {
        TabClerkTmp tabStoreTmp = new TabClerkTmp();
        tabStoreTmp.setClerkTmpId(t.getClerkTmpId());
        tabStoreTmp.setErrorMessage(t.getErrorMessage());
        tabClerkTmpMapper.updateByPrimaryKeySelective(tabStoreTmp);
    }

    @Override
    public Integer countByTaskTotal(Integer enterpriseId, String uuId) {
        return tabClerkTmpMapper.countByClerk(enterpriseId, uuId, null);
    }

    @Override
    public Integer countByTaskExecNum(Integer enterpriseId, String uuId) {
        return tabClerkTmpMapper.countByClerk(enterpriseId, uuId, StoreImportEnum.SUCCESS.getCode());
    }

    @Override
    public Integer countByTaskFailNum(Integer enterpriseId, String uuId) {
        return tabClerkTmpMapper.countByImportFailClerk(enterpriseId, uuId);
    }

    @Override
    public List<TabClerkTmp> listClerkTmp(Integer enterpriseId, Boolean isSuccess) {
        return tabClerkTmpMapper.listClerkTmp(enterpriseId, isSuccess);
    }

    @Override
    public List<TabClerkTmp> listAllClerkTmp(Integer enterpriseId) {
        return tabClerkTmpMapper.listClerkTmp(enterpriseId, null);
    }
}
