package com.gic.store.service.impl;

import com.gic.store.dao.mapper.TabStorePhotoMapper;
import com.gic.store.dto.StorePhotoDTO;
import com.gic.store.entity.TabStorePhoto;
import com.gic.store.service.StorePhotoService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collections;
import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/27
 */
@Service
public class StorePhotoServiceImpl implements StorePhotoService {

    @Autowired
    private TabStorePhotoMapper tabStorePhotoMapper;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void editStoreImage(Integer enterpriseId, Integer storeInfoId, List<StorePhotoDTO> photoList, List<Integer> delPhotos) {

        if (CollectionUtils.isNotEmpty(photoList) || CollectionUtils.isNotEmpty(delPhotos)) {
            // 删除老的
            tabStorePhotoMapper.deleteBystoreInfoIds(enterpriseId, Collections.singletonList(storeInfoId));
        }


        if (CollectionUtils.isNotEmpty(photoList)) {
            for (int i = 0; i < photoList.size(); i++) {
                StorePhotoDTO storePhotoDTO = photoList.get(i);
                TabStorePhoto storePhoto = new TabStorePhoto();
                storePhoto.setStorePhotoId(storePhotoDTO.getStorePhotoId());
                storePhoto.setEnterpriseId(enterpriseId);
                storePhoto.setImageCode(storePhotoDTO.getImageCode());
                storePhoto.setImageUrl(storePhotoDTO.getImageUrl());
                storePhoto.setSort(storePhotoDTO.getSort());
                storePhoto.setDeleteFlag(0);
                storePhoto.setStoreInfoId(storeInfoId);
                storePhoto.setSort(i);
                if (storePhotoDTO.getStorePhotoId() == null) {
                    storePhoto.setCreateTime(new Date());
                    tabStorePhotoMapper.insertSelective(storePhoto);
                } else {
                    tabStorePhotoMapper.updateByPrimaryKeySelective(storePhoto);
                }
            }
        }
    }

    @Override
    public List<TabStorePhoto> listStorePhoto(Integer enterpriseId, Integer storeInfoId) {
        return tabStorePhotoMapper.listStorePhoto(enterpriseId, storeInfoId);
    }
}