package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.store.dao.mapper.TabStoreWidgetLogMapper;
import com.gic.store.dto.StoreWidgetLogDTO;
import com.gic.store.entity.TabStoreWidgetLog;
import com.gic.store.service.StoreWidgetLogService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 门店选择器日志接口
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/13 3:26 PM 
 */
@Service("storeWidgetLogService")
public class StoreWidgetLogServiceImpl implements StoreWidgetLogService{
    @Autowired
    private TabStoreWidgetLogMapper tabStoreWidgetLogMapper;

    @Override
    public Integer saveStoreWidgetLog(StoreWidgetLogDTO storeWidgetLog) {
        TabStoreWidgetLog record = EntityUtil.changeEntityNew(TabStoreWidgetLog.class, storeWidgetLog);
        Date now = new Date();
        record.setCreateTime(now)
                .setUpdateTime(now)
                .setDeleteFlag(0);
        tabStoreWidgetLogMapper.insert(record);
        return record.getStoreWidgetLogId();
    }

    @Override
    public Integer tmpInsert(List<StoreWidgetLogDTO> list) {
        return tabStoreWidgetLogMapper.tmpInsert(list);
    }

    @Override
    public int tmpUpdateByStoreWidgetId(Integer oldStoreWidgetId, Integer newStoreWidgetId) {
        return tabStoreWidgetLogMapper.tmpUpdateByStoreWidgetId(oldStoreWidgetId, newStoreWidgetId);
    }

    @Override
    public Page<TabStoreWidgetLog> pageStoreWidgetLog(Integer storeWidgetId, Integer pageNum, Integer pageSize) {
        if (pageNum == null) {
            pageNum = 1;
        }
        if (pageSize == null) {
            pageSize = 20;
        }
        PageHelper.startPage(pageNum, pageSize);
        List<TabStoreWidgetLog> list = tabStoreWidgetLogMapper.pageStoreWidgetLog(storeWidgetId);
        return (Page<TabStoreWidgetLog>) list;
    }

    @Override
    public List<TabStoreWidgetLog> listStoreWidgetLog(Integer storeWidgetId) {
        return tabStoreWidgetLogMapper.pageStoreWidgetLog(storeWidgetId);
    }

    @Override
    public TabStoreWidgetLog getLastOperationInfo(Integer storeWidgetId) {
        return tabStoreWidgetLogMapper.getLastOperationInfo(storeWidgetId);
    }
}
