package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.constants.Constants;
import com.gic.store.dao.mapper.TabStoreWidgetMapper;
import com.gic.store.dto.StoreWidgetDTO;
import com.gic.store.entity.TabStoreWidget;
import com.gic.store.service.StoreWidgetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: StoreWidgetServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:55
 */
@Service("storeWidgetService")
public class StoreWidgetServiceImpl implements StoreWidgetService {
    @Autowired
    private TabStoreWidgetMapper tabStoreWidgetMapper;

    @Override
    public Integer saveStoreWidget(StoreWidgetDTO storeWidgetDTO) {
        TabStoreWidget tabStoreWidget = EntityUtil.changeEntityNew(TabStoreWidget.class, storeWidgetDTO);
        tabStoreWidget.setCreateTime(new Date());
        tabStoreWidget.setUpdateTime(new Date());
        tabStoreWidget.setDeleteFlag(0);
        tabStoreWidget.setStoreWidgetId(null);
        this.tabStoreWidgetMapper.insert(tabStoreWidget);
        return tabStoreWidget.getStoreWidgetId();
    }

    @Override
    public int updateStoreWidget(StoreWidgetDTO storeWidgetDTO) {
        TabStoreWidget tabStoreWidget = new TabStoreWidget();
        tabStoreWidget.setUpdateTime(new Date());
        tabStoreWidget.setSearchParam(storeWidgetDTO.getSearchParam());
        tabStoreWidget.setWriteBackParam(storeWidgetDTO.getWriteBackParam());
        return this.tabStoreWidgetMapper.updateByPrimaryKeySelective(tabStoreWidget);
    }

    @Override
    public int updateAuthStoreWidget(StoreWidgetDTO storeWidgetDTO) {
        TabStoreWidget tabStoreWidget = new TabStoreWidget();
        tabStoreWidget.setUpdateTime(new Date());
        tabStoreWidget.setAuthMode(storeWidgetDTO.getAuthMode());
        tabStoreWidget.setAuthSearchParam(storeWidgetDTO.getAuthSearchParam());
        tabStoreWidget.setSearchParam(storeWidgetDTO.getSearchParam());
        tabStoreWidget.setWriteBackParam(storeWidgetDTO.getWriteBackParam());
        tabStoreWidget.setStoreWidgetId(storeWidgetDTO.getStoreWidgetId());
        return this.tabStoreWidgetMapper.updateByPrimaryKeySelective(tabStoreWidget);
    }

    @Override
    public StoreWidgetDTO getStoreWidget(Integer id) {
        TabStoreWidget tabStoreWidget = this.tabStoreWidgetMapper.selectByPrimaryKey(id);
        return EntityUtil.changeEntityByJSON(StoreWidgetDTO.class, tabStoreWidget);
    }

    @Override
    public int updateAuth(StoreWidgetDTO storeWidgetDTO) {
        TabStoreWidget storeWidget = new TabStoreWidget();
        storeWidget.setAuthSearchParam(storeWidgetDTO.getAuthSearchParam());
        storeWidget.setStoreWidgetId(storeWidgetDTO.getStoreWidgetId());
        storeWidget.setAuthScreenDetailData(storeWidgetDTO.getAuthScreenDetailData());
        storeWidget.setAuthScreenSimpleData(storeWidgetDTO.getAuthScreenSimpleData());
        return this.tabStoreWidgetMapper.updateByPrimaryKeySelective(storeWidget);
    }

    @Override
    public List<StoreWidgetDTO> listStoreWidget(List<Integer> storeWidgetIdList) {
        List<TabStoreWidget> tabStoreWidgets = this.tabStoreWidgetMapper.listStoreWidget(storeWidgetIdList);
        return EntityUtil.changeEntityListByJSON(StoreWidgetDTO.class, tabStoreWidgets);
    }

}
