package com.gic.store.service.impl;

import com.gic.store.dao.mapper.TabUnionStoreChangeLogMapper;
import com.gic.store.entity.TabUnionStoreChangeLog;
import com.gic.store.service.UnionStoreChangeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("unionStoreChangeService")
public class UnionStoreChangeServiceImpl implements UnionStoreChangeService {
    @Autowired
    private TabUnionStoreChangeLogMapper tabUnionStoreChangeLogMapper;

    @Override
    public void save(Integer ownEnterpriseId, Integer unionEnterpriseId) {
        TabUnionStoreChangeLog log = tabUnionStoreChangeLogMapper.selectByEnterpriseId(ownEnterpriseId, unionEnterpriseId);
        if(log == null){
            log = new TabUnionStoreChangeLog();
            log.setAuthChange(1);
            log.setCreateTime(new Date());
            log.setDeleteFlag(0);
            log.setOwnerEnterpriseId(ownEnterpriseId);
            log.setUnionEnterpriseId(unionEnterpriseId);
            log.setUpdateTime(new Date());
            tabUnionStoreChangeLogMapper.insertSelective(log);
        } else {
          if(log.getAuthChange() == 0){
              log.setAuthChange(1);
              tabUnionStoreChangeLogMapper.updateByPrimaryKeySelective(log);
          }
        }
    }
}
