package com.gic.store.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.error.ErrorCode;
import com.gic.store.constant.StoreOwnTypeEnum;
import com.gic.store.dto.StoreFieldRelDTO;
import com.gic.store.service.StoreFieldRelApiService;
import com.gic.store.service.StoreFieldRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
/**
 * 
 * @ClassName: StoreFieldRelApiServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:54
 */
@Service("storeFieldRelApiService")
public class StoreFieldRelApiServiceImpl implements StoreFieldRelApiService{
    @Autowired
    private StoreFieldRelService storeFieldRelService;
    @Override
    public ServiceResponse<Void> saveStoreFieldRel(StoreFieldRelDTO dto) {
        if (dto.getEnterpriseId() == null) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "商户ID不能为空");
        }
        if (dto.getStoreFieldId() == null) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "自定义属性字段不能为空");
        }
        if (dto.getOwnType() == null) {
            //默认是owner
            dto.setOwnType(StoreOwnTypeEnum.OWNER.getCode());
        } else {
            if (!StoreOwnTypeEnum.isRightCode(dto.getOwnType())) {
                return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "授权类型值错误，不在已知范围");
            }
        }
        storeFieldRelService.saveStoreFieldRel(dto);
        return ServiceResponse.success();
    }
}
