package com.gic.store.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.qo.PageQO;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.store.dto.StoreLogDTO;
import com.gic.store.entity.TabStoreLog;
import com.gic.store.service.StoreLogApiService;
import com.gic.store.service.StoreLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 16:10
 */
@Service("storeLogApiService")
public class StoreLogApiServiceImpl implements StoreLogApiService {

    @Autowired
    private StoreLogService storeLogService;

    @Override
    public ServiceResponse<Page<StoreLogDTO>> listStoreLog(StoreLogDTO storeLogDTO, Integer currentPage, Integer pageSize) {
        com.github.pagehelper.Page<TabStoreLog> storeLog = storeLogService.listStoreLog(storeLogDTO, currentPage, pageSize);
        Page<StoreLogDTO> dtoPage = PageHelperUtils.changePageHelperToCurrentPage(storeLog, StoreLogDTO.class);
        return EnterpriseServiceResponse.success(dtoPage);
    }
}