package com.gic.store.service.outer.impl;

import com.alibaba.fastjson.JSONObject;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.store.dto.StoreTagTmpDTO;
import com.gic.store.entity.TabStoreTagTmp;
import com.gic.store.service.StoreTagTmpApiService;
import com.gic.store.service.StoreTagTmpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-02-24 14:16
 */
@Service("storeTagTmpApiService")
public class StoreTagTmpApiServiceImpl implements StoreTagTmpApiService {

    @Autowired
    private StoreTagTmpService storeTagTmpService;

    @Override
    public ServiceResponse<Void> delStoreTagTmp(Integer enterpriseId) {
        storeTagTmpService.delStoreTagTmp(enterpriseId);
        return EnterpriseServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> saveStoreTagTmp(StoreTagTmpDTO bean) {
        this.storeTagTmpService.saveStoreTagTmp(bean);
        return EnterpriseServiceResponse.success();
    }

    @Override
    public ServiceResponse<Page<StoreTagTmpDTO>> listImportError(Integer enterpriseId, Integer currentPage, Integer pageSize) {
        com.github.pagehelper.Page<TabStoreTagTmp> page = this.storeTagTmpService.listImportError(enterpriseId, currentPage, pageSize);
        return EnterpriseServiceResponse.success(PageHelperUtils.changePageHelperToCurrentPage(page, StoreTagTmpDTO.class));
    }

    @Override
    public ServiceResponse<JSONObject> queryCount(Integer enterpriseId) {
        Integer successCount = this.storeTagTmpService.querySuccessCount(enterpriseId);
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("successCount", successCount);
        return EnterpriseServiceResponse.success(jsonObject);
    }
}
