package com.gic.store.strategy.impl;

import com.gic.store.constant.Constants;
import com.gic.store.service.StoreLogService;
import com.gic.store.service.StoreService;
import com.gic.store.strategy.BulkUpdateStoreStrtegy;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 * @ClassName: StorePhotoUpdateStrategyImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 17:54
 */
@Component("4")
public class StorePhotoUpdateStrategyImpl implements BulkUpdateStoreStrtegy {

    @Autowired
    private StoreLogService storeLogService;

    @Override
    public String bulkUpdateStore(String storeInfoIds, Integer enterpriseId, String value, StoreService storeService, Integer operatorId, String operatorName) {
        int i = storeService.bulkUpdateStorePhoto(storeInfoIds, enterpriseId, value);
        if (i > 0) {
            List<Integer> storeInfoIdList;
            if (Constants.ALL.equals(storeInfoIds)) {
                storeInfoIdList = storeService.listAllStoreInfoId(enterpriseId);
            } else {
                storeInfoIdList = new ArrayList<>();
                String[] storeIdArr = storeInfoIds.split(",");
                for (String s : storeIdArr) {
                    storeInfoIdList.add(Integer.valueOf(s));
                }
            }
            storeLogService.saveBulkStoreInfoLog(storeInfoIdList, enterpriseId, operatorId, operatorName, "门店照片变更");
        }
        return null;
    }
}
