package com.gic.store.utils.baidumap;

import com.alibaba.fastjson.JSON;
import org.apache.http.HttpEntity;
import org.apache.http.ParseException;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

/**
 * @author zhiwj
 * @date 2019/7/24
 */
public class BaiduMapUtils {

    private static final Logger logger = LoggerFactory.getLogger(BaiduMapUtils.class);

    public static final String AK = "QFWy2Or0bsPhBgAX4jcTPdT1qsmFp8UU";

    public static Location get(String address) {

        CloseableHttpClient httpclient = HttpClients.createDefault();
        try {
            // 创建httpget.
//            http://api.map.baidu.com/geocoding/v3/?address=北京市海淀区上地十街10号&output=json&ak=您的ak&callback=showLocation
            HttpGet httpget = new HttpGet(String.format("http://api.map.baidu.com/geocoding/v3/?address=%s&output=json&ak=%s", address, AK));
            CloseableHttpResponse response = httpclient.execute(httpget);
            try {
                HttpEntity entity = response.getEntity();
                if (entity != null) {
                    String s = EntityUtils.toString(entity);
                    BaiduMapResponse baiduResponse = JSON.parseObject(s, BaiduMapResponse.class);
                    if (baiduResponse.getStatus() == 0) {
                        return baiduResponse.getResult().getLocation();
                    } else {
                        // 调用失败
                        logger.info("百度地图调用失败，response:{}", s);
                        return null;
                    }
                }
            } finally {
                response.close();
            }
        } catch (ClientProtocolException e) {
            logger.warn("百度地图调用失败:", e);
        } catch (ParseException e) {
            logger.warn("百度地图调用失败:", e);
        } catch (IOException e) {
            logger.warn("百度地图调用失败:", e);
        } finally {
            // 关闭连接,释放资源
            try {
                httpclient.close();
            } catch (IOException e) {
                logger.warn("百度地图调用失败:", e);
            }
        }
        return null;
    }


}
