package com.gic.store.web.qo.store;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @date 2019/6/28
 */
public class StoreQO implements Serializable {
    private static final long serialVersionUID = -6628043536632590486L;

    public interface SaveValidView{
    }

    /**
     *
     */
    private Integer storeId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 门店名称
     */
    @NotNull(message = "门店名称不能为空", groups = {SaveValidView.class})
    private String storeName;

    /**
     * 门店code
     */
    @NotNull(message = "门店代码不能为空", groups = {SaveValidView.class})
    private String storeCode;

    /**
     * 域id
     */
    @NotNull(message = "门店域不能为空", groups = {SaveValidView.class})
    private Integer regionId;

    /**
     * 门店电话
     */
    private String conactsPhone;

    /**
     * 门店详细地址
     */
    private String address;

    /**
     * 关联门店品牌iid，多个用逗号分隔
     */
    private String brandIds;

    /**
     * 地区id
     */
    private String areaId;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 溢出状态；默认为0，1标识溢出
     */
    private Integer overflowStatus;

    /**
     * 门店状态；1上线  2未上线  3停业整顿  4闭店
     */
    private Integer status;

    /**
     * 门店类型
     */
    private Integer storeType;

    /**
     *
     */
    private Integer storeGroupId;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private String provinceId;
    private String cityId;
    private String provinces;
    private Integer createType;

    private String photos;
    private String delPhotos;
    private String delBusinessTimes;
    private String businessTimes;
    private String storeGroupName;
    private String storeExtends;

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getConactsPhone() {
        return conactsPhone;
    }

    public void setConactsPhone(String conactsPhone) {
        this.conactsPhone = conactsPhone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBrandIds() {
        return brandIds;
    }

    public void setBrandIds(String brandIds) {
        this.brandIds = brandIds;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public Integer getOverflowStatus() {
        return overflowStatus;
    }

    public void setOverflowStatus(Integer overflowStatus) {
        this.overflowStatus = overflowStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStoreType() {
        return storeType;
    }

    public void setStoreType(Integer storeType) {
        this.storeType = storeType;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getPhotos() {
        return photos;
    }

    public void setPhotos(String photos) {
        this.photos = photos;
    }

    public String getDelPhotos() {
        return delPhotos;
    }

    public void setDelPhotos(String delPhotos) {
        this.delPhotos = delPhotos;
    }

    public String getDelBusinessTimes() {
        return delBusinessTimes;
    }

    public void setDelBusinessTimes(String delBusinessTimes) {
        this.delBusinessTimes = delBusinessTimes;
    }

    public String getBusinessTimes() {
        return businessTimes;
    }

    public void setBusinessTimes(String businessTimes) {
        this.businessTimes = businessTimes;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getProvinces() {
        return provinces;
    }

    public void setProvinces(String provinces) {
        this.provinces = provinces;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public String getStoreExtends() {
        return storeExtends;
    }

    public void setStoreExtends(String storeExtends) {
        this.storeExtends = storeExtends;
    }
}
