package com.gic.store.web.qo.storebrand;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @date 2019/7/5
 */
public class StoreBrandQO implements Serializable {
    private static final long serialVersionUID = -6444690001235296650L;


    public interface SaveValidView {
    }

    public interface MoveValidView {
    }

    public interface SetSortValidView{

    }

    /**
     *
     */
    @NotNull(message = "请选择品牌", groups = {MoveValidView.class, SetSortValidView.class})
    private Integer storeBrandId;

    /**
     * 品牌code
     */
    private String storeBrandCode;

    /**
     * 品牌名称
     */
    @NotNull(message = "品牌名称不能为空", groups = {SaveValidView.class})
    private String storeBrandName;

    /**
     * 经营类目
     */
    @NotBlank(message = "品牌类目不能为空", groups = {SaveValidView.class})
    private String storeBrandCategory;

    @NotBlank(message = "品牌类目不能为空", groups = {SaveValidView.class})
    private String storeBrandCategoryCode;

    /**
     * 排序字段
     */
    private Double sort;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    @NotNull(message = "序号不能为空", groups = {SetSortValidView.class})
    private Integer seq;

    @NotNull(message = "移动类型不能为空", groups = MoveValidView.class)
    @Min(value = 1, message = "移动类型不存在", groups = MoveValidView.class)
    @Max(value = 4, message = "移动类型不存在", groups = MoveValidView.class)
    private Integer moveType;

    public Integer getMoveType() {
        return moveType;
    }

    public void setMoveType(Integer moveType) {
        this.moveType = moveType;
    }

    public Integer getStoreBrandId() {
        return storeBrandId;
    }

    public void setStoreBrandId(Integer storeBrandId) {
        this.storeBrandId = storeBrandId;
    }

    public String getStoreBrandCode() {
        return storeBrandCode;
    }

    public void setStoreBrandCode(String storeBrandCode) {
        this.storeBrandCode = storeBrandCode;
    }

    public String getStoreBrandName() {
        return storeBrandName;
    }

    public void setStoreBrandName(String storeBrandName) {
        this.storeBrandName = storeBrandName;
    }

    public String getStoreBrandCategory() {
        return storeBrandCategory;
    }

    public void setStoreBrandCategory(String storeBrandCategory) {
        this.storeBrandCategory = storeBrandCategory;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public String getStoreBrandCategoryCode() {
        return storeBrandCategoryCode;
    }

    public void setStoreBrandCategoryCode(String storeBrandCategoryCode) {
        this.storeBrandCategoryCode = storeBrandCategoryCode;
    }
}
