package com.gic.store.web.qo.storefield;

import com.gic.store.constant.StoreGroupConstant;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author guojx
 * @date 2019/6/28 2:16 PM
 */
public class StoreFieldQO implements Serializable{
    private static final long serialVersionUID = -5639381511903060879L;

    public interface SaveValidView {
    }

    public interface RemoveValidView {
    }

    public interface SwapValidView {
    }

    public interface SetSortValueValidView {
    }

    public interface FieldTypeValidView {
    }


    /**
     *
     */
    @NotNull(message = "主键不能为空", groups = {RemoveValidView.class})
    private Integer storeFieldId;

    /**
     * 属性名称
     */
    @NotBlank(message = "属性名称不能为空", groups = {SaveValidView.class})
    private String storeFieldName;

    /**
     * 属性code
     */
    private String storeFieldCode;

    /**
     * 字段类型；1文本   2单选  3多选  4实数  5时间
     */
    @NotNull(message = "字段类型不能为空", groups = {FieldTypeValidView.class})
    private Integer storeFieldType;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 门店域id
     */
    private String storeRegionId;
    /**
     * 域多选，英文逗号隔开
     */
    @NotBlank(message = "所属域不能为空", groups = {SaveValidView.class})
    private String storeRegionIds;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 字段详细配置
     */
    @NotBlank(message = "配置值不能为空", groups = {SaveValidView.class})
    private String storeFieldDetail;

    /**
     * 与ERP映射的门店字段
     */
    private String erpRelCode;

    /**
     * 上移或者下移
     */
    @NotNull(message = "移动标志参数值不能为空", groups = {SwapValidView.class})
    @Min(value = StoreGroupConstant.SORT_UP, message = "移动标志参数值错误，小于1", groups = {SwapValidView.class})
    @Max(value = StoreGroupConstant.SORT_TOPPING, message = "移动标志参数值错误，大于4", groups = {SwapValidView.class})
    private Integer upOrDown;

    /**
     * 想要排序的值
     */
    @NotNull(message = "排序值不能为空", groups = {SetSortValueValidView.class})
    private Integer sortValue;

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public String getStoreFieldName() {
        return storeFieldName;
    }

    public void setStoreFieldName(String storeFieldName) {
        this.storeFieldName = storeFieldName;
    }

    public String getStoreFieldCode() {
        return storeFieldCode;
    }

    public void setStoreFieldCode(String storeFieldCode) {
        this.storeFieldCode = storeFieldCode;
    }

    public Integer getStoreFieldType() {
        return storeFieldType;
    }

    public void setStoreFieldType(Integer storeFieldType) {
        this.storeFieldType = storeFieldType;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreRegionId() {
        return storeRegionId;
    }

    public void setStoreRegionId(String storeRegionId) {
        this.storeRegionId = storeRegionId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStoreFieldDetail() {
        return storeFieldDetail;
    }

    public void setStoreFieldDetail(String storeFieldDetail) {
        this.storeFieldDetail = storeFieldDetail;
    }

    public String getErpRelCode() {
        return erpRelCode;
    }

    public void setErpRelCode(String erpRelCode) {
        this.erpRelCode = erpRelCode;
    }

    public String getStoreRegionIds() {
        return storeRegionIds;
    }

    public void setStoreRegionIds(String storeRegionIds) {
        this.storeRegionIds = storeRegionIds;
    }

    public Integer getUpOrDown() {
        return upOrDown;
    }

    public void setUpOrDown(Integer upOrDown) {
        this.upOrDown = upOrDown;
    }

    public Integer getSortValue() {
        return sortValue;
    }

    public void setSortValue(Integer sortValue) {
        this.sortValue = sortValue;
    }
}
