package com.gic.store.web.qo.storefield;

import com.gic.store.constant.StoreGroupConstant;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author guojx
 * @date 2019/7/1 3:54 PM
 */
public class StoreFieldSelectQO implements Serializable{
    private static final long serialVersionUID = -6020468544326658511L;

    public interface SaveValidView {
    }

    public interface EditValidView {
    }

    public interface SwapValidView {
    }


    public interface RemoveValidView {
    }


    public interface SetSortValueValidView {
    }

    public interface ListValidView {
    }




    /**
     *
     */
    @NotNull(message = "主键ID不能为空", groups = {EditValidView.class, RemoveValidView.class})
    private Integer storeFieldSelectId;

    /**
     * 属性名称
     */
    @NotBlank(message = "属性值名称不能为空", groups = {SaveValidView.class, EditValidView.class})
    private String storeFieldSelectName;

    /**
     * 属性code
     */
    private String storeFieldSelectCode;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    private Double sort;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 自定义属性字段ID
     */
    @NotNull(message = "字段值不能为空", groups = {SaveValidView.class, ListValidView.class})
    private Integer storeFieldId;

    /**
     * 上移或者下移
     */
    @NotNull(message = "移动标志参数值不能为空", groups = {SwapValidView.class})
    @Min(value = StoreGroupConstant.SORT_UP, message = "移动标志参数值错误，小于1", groups = {SwapValidView.class})
    @Max(value = StoreGroupConstant.SORT_TOPPING, message = "移动标志参数值错误，大于4", groups = {SwapValidView.class})
    private Integer upOrDown;

    /**
     * 想要排序的值
     */
    @NotNull(message = "排序值不能为空", groups = {SetSortValueValidView.class})
    private Integer sortValue;

    /**
     * 名称或者code模糊查询
     */
    private String search;


    public Integer getStoreFieldSelectId() {
        return storeFieldSelectId;
    }

    public void setStoreFieldSelectId(Integer storeFieldSelectId) {
        this.storeFieldSelectId = storeFieldSelectId;
    }

    public String getStoreFieldSelectName() {
        return storeFieldSelectName;
    }

    public void setStoreFieldSelectName(String storeFieldSelectName) {
        this.storeFieldSelectName = storeFieldSelectName;
    }

    public String getStoreFieldSelectCode() {
        return storeFieldSelectCode;
    }

    public void setStoreFieldSelectCode(String storeFieldSelectCode) {
        this.storeFieldSelectCode = storeFieldSelectCode;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public Integer getUpOrDown() {
        return upOrDown;
    }

    public void setUpOrDown(Integer upOrDown) {
        this.upOrDown = upOrDown;
    }

    public Integer getSortValue() {
        return sortValue;
    }

    public void setSortValue(Integer sortValue) {
        this.sortValue = sortValue;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

}
