package com.gic.store.web.vo;

import com.gic.store.constant.StoreOwnTypeEnum;

import java.io.Serializable;
import java.util.List;

/**
 * tab_store_dict
 */
/**
 * 
 * @ClassName: StoreDictVO
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 19:14
 */
public class StoreDictVO implements Serializable {
    private String value;

    private String key;

    private Integer checked=0;
    /**
     * 0：owner 1:other
     */
    private Integer ownType;

    private String ownTypeStr;

    private List<StoreDictVO> storeDictList;
    /**
     * 是否系统字段  1是  0否
     */
    private Integer isSystem = 0;

    public StoreDictVO(){

    }

    public StoreDictVO(String key, String value){
        this.value = value;
        this.key = key;
        this.checked = 1;
        this.isSystem = 1;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Integer getChecked() {
        return checked;
    }

    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public void setOwnType(Integer ownType) {
        this.ownType = ownType;
    }

    public List<StoreDictVO> getStoreDictList() {
        return storeDictList;
    }

    public void setStoreDictList(List<StoreDictVO> storeDictList) {
        this.storeDictList = storeDictList;
    }

    public String getOwnTypeStr() {
        if (ownType == null) {
            return "";
        }
        if (ownType.intValue() == StoreOwnTypeEnum.OTHER.getCode()) {
            return "共享";
        }
        return "";
    }

    public Integer getIsSystem() {
        return isSystem;
    }

    public void setIsSystem(Integer isSystem) {
        this.isSystem = isSystem;
    }

    @Override
    public String toString() {
        return "StoreDictVO{" +
                "value='" + value + '\'' +
                ", key='" + key + '\'' +
                ", checked=" + checked +
                ", ownType=" + ownType +
                ", ownTypeStr='" + ownTypeStr + '\'' +
                ", storeDictList=" + storeDictList +
                ", isSystem=" + isSystem +
                '}';
    }
}