package com.gic.store.web.vo.storefield;

import com.gic.store.constant.StoreFieldTypeEnum;
import org.apache.commons.lang.StringUtils;

import java.io.Serializable;

/**
 * @author guojx
 * @date 2019/7/2 2:40 PM
 */
public class StoreFieldVO implements Serializable{
    private static final long serialVersionUID = -3797107559383935002L;

    /**
     *
     */
    private Integer storeFieldId;

    /**
     * 属性名称
     */
    private String storeFieldName;

    /**
     * 属性code
     */
    private String storeFieldCode;

    /**
     * 字段类型；1文本   2单选  3多选  4实数  5时间
     */
    private Integer storeFieldType;

    private String storeFieldTypeName;

    /**
     * 门店域id
     */
    private String storeRegionId;

    /**
     * 域名称
     */
    private String regionName;

    /**
     * 排序字段
     */
    private Double sort;
    /**
     * 排序值
     */
    private Integer seq;
    /**
     * 是否是映射 1：是
     */
    private Integer isErpMapping;

    /**
     * 是否是筛选/列表支持 1：是
     */
    private Integer isFilter;

    /**
     * 与ERP映射的门店字段
     */
    private String erpRelCode;

    /**
     * 0:owner 1:other 授权者和被授权
     */
    private Integer ownType;

    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;

    /**
     * 自有商户名称
     */
    private String ownerEntName;

    private Integer enterpriseId;

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public String getStoreFieldName() {
        return storeFieldName;
    }

    public void setStoreFieldName(String storeFieldName) {
        this.storeFieldName = storeFieldName;
    }

    public String getStoreFieldCode() {
        return storeFieldCode;
    }

    public void setStoreFieldCode(String storeFieldCode) {
        this.storeFieldCode = storeFieldCode;
    }

    public Integer getStoreFieldType() {
        return storeFieldType;
    }

    public void setStoreFieldType(Integer storeFieldType) {
        this.storeFieldType = storeFieldType;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public String getStoreFieldTypeName() {
        return StoreFieldTypeEnum.getNameByCode(storeFieldType);
    }

    public void setStoreFieldTypeName(String storeFieldTypeName) {
        this.storeFieldTypeName = storeFieldTypeName;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getStoreRegionId() {
        return storeRegionId;
    }

    public void setStoreRegionId(String storeRegionId) {
        this.storeRegionId = storeRegionId;
    }

    public Integer getIsErpMapping() {
        return StringUtils.isBlank(this.erpRelCode) ? 0 : 1;
    }

    public Integer getIsFilter() {
        return isFilter;
    }

    public void setIsFilter(Integer isFilter) {
        this.isFilter = isFilter;
    }

    public String getErpRelCode() {
        return erpRelCode;
    }

    public void setErpRelCode(String erpRelCode) {
        this.erpRelCode = erpRelCode;
    }

    public Integer getOwnerFlag() {
        if (ownType != null && ownType == 1) {
            return 0;
        }
        return 1;
    }

    public StoreFieldVO setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }

    public String getOwnerEntName() {
        return ownerEntName;
    }

    public StoreFieldVO setOwnerEntName(String ownerEntName) {
        this.ownerEntName = ownerEntName;
        return this;
    }

    public Integer getOwnType() {
        return ownType;
    }

    public StoreFieldVO setOwnType(Integer ownType) {
        this.ownType = ownType;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public StoreFieldVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    @Override
    public String toString() {
        return "StoreFieldVO{" +
                "storeFieldId=" + storeFieldId +
                ", storeFieldName='" + storeFieldName + '\'' +
                ", storeFieldCode='" + storeFieldCode + '\'' +
                ", storeFieldType=" + storeFieldType +
                ", storeFieldTypeName='" + storeFieldTypeName + '\'' +
                ", storeRegionId='" + storeRegionId + '\'' +
                ", regionName='" + regionName + '\'' +
                ", sort=" + sort +
                ", seq=" + seq +
                ", isErpMapping=" + isErpMapping +
                ", isFilter=" + isFilter +
                ", erpRelCode='" + erpRelCode + '\'' +
                ", ownerFlag='" + ownerFlag + '\'' +
                ", ownerEntName='" + ownerEntName + '\'' +
                ", ownType='" + ownType + '\'' +
                ", enterpriseId='" + enterpriseId + '\'' +
                '}';
    }
}
